Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/lmdz_NOMODULE_abort_gcm.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/lmdz_NOMODULE_abort_gcm.f90	(revision 5295)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/lmdz_NOMODULE_abort_gcm.f90	(revision 5295)
@@ -0,0 +1,58 @@
+! $Id: abort_gcm.F 1747 2013-04-23 14:06:30Z lguez $
+
+! /!\ We can't put this in a module right away with FCM1, as this creates a circular dependency e.g. with wxios through lmdz_iniprint
+
+SUBROUTINE abort_gcm(modname, message, ierr)
+  ! Stops the simulation cleanly, closing files and printing various
+  ! comments
+
+  !  Input: modname = name of calling program
+  !     message = stuff to print
+  !     ierr    = severity of situation ( = 0 normal )
+
+  USE IOIPSL, ONLY: histclo, restclo, getin_dump
+  USE lmdz_wxios, ONLY: using_xios, wxios_close
+  USE lmdz_phys_mpi_data, ONLY: mpi_rank
+  USE lmdz_mpi, ONLY: using_mpi
+  USE mod_const_mpi, ONLY: comm_lmdz
+  USE lmdz_iniprint, ONLY: lunout, prt_level
+  IMPLICIT NONE
+
+  CHARACTER(LEN = *), INTENT(IN) :: modname
+  INTEGER, INTENT(IN) :: ierr
+  CHARACTER(LEN = *), INTENT(IN) :: message
+
+  INTEGER :: ierror_mpi
+
+  WRITE(lunout, *) 'in abort_gcm'
+
+  IF (using_xios) THEN !Fermeture propre de XIOS
+    CALL wxios_close()
+  ENDIF
+
+  !$OMP MASTER
+  CALL histclo
+  CALL restclo
+  IF (mpi_rank == 0) THEN
+    CALL getin_dump
+  ENDIF
+  !$OMP END MASTER
+  WRITE(lunout, *) 'Stopping in ', modname
+  WRITE(lunout, *) 'Reason = ', message
+  IF (ierr == 0) THEN
+    WRITE(lunout, *) 'Everything is cool'
+    IF (.NOT. using_mpi) THEN
+      STOP
+    END IF
+  ELSE
+    WRITE(lunout, *) 'Houston, we have a problem, ierr = ', ierr
+
+    IF (using_mpi) THEN
+      !$OMP CRITICAL (MPI_ABORT_GCM)
+      CALL MPI_ABORT(comm_lmdz, 1, ierror_mpi)
+      !$OMP END CRITICAL (MPI_ABORT_GCM)
+    ELSE
+      STOP 1
+    END IF
+  END IF
+END SUBROUTINE abort_gcm
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltgen_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltgen_loc.F90	(revision 5294)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltgen_loc.F90	(revision 5295)
@@ -24,5 +24,4 @@
   USE parallel_lmdz
   USE mod_hallo
-  USE write_field_loc, ONLY: WriteField_u, WriteField_v
   USE lmdz_vampir
   ! CRisi: on rajoute variables utiles d'infotrac
Index: DZ6/branches/Amaury_dev/libf/misc/lmdz_NOMODULE_abort_gcm.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/misc/lmdz_NOMODULE_abort_gcm.f90	(revision 5294)
+++ 	(revision )
@@ -1,58 +1,0 @@
-! $Id: abort_gcm.F 1747 2013-04-23 14:06:30Z lguez $
-
-! /!\ We can't put this in a module right away with FCM1, as this creates a circular dependency e.g. with wxios through lmdz_iniprint
-
-SUBROUTINE abort_gcm(modname, message, ierr)
-  ! Stops the simulation cleanly, closing files and printing various
-  ! comments
-
-  !  Input: modname = name of calling program
-  !     message = stuff to print
-  !     ierr    = severity of situation ( = 0 normal )
-
-  USE IOIPSL, ONLY: histclo, restclo, getin_dump
-  USE lmdz_wxios, ONLY: using_xios, wxios_close
-  USE lmdz_phys_mpi_data, ONLY: mpi_rank
-  USE lmdz_mpi, ONLY: using_mpi
-  USE mod_const_mpi, ONLY: comm_lmdz
-  USE lmdz_iniprint, ONLY: lunout, prt_level
-  IMPLICIT NONE
-
-  CHARACTER(LEN = *), INTENT(IN) :: modname
-  INTEGER, INTENT(IN) :: ierr
-  CHARACTER(LEN = *), INTENT(IN) :: message
-
-  INTEGER :: ierror_mpi
-
-  WRITE(lunout, *) 'in abort_gcm'
-
-  IF (using_xios) THEN !Fermeture propre de XIOS
-    CALL wxios_close()
-  ENDIF
-
-  !$OMP MASTER
-  CALL histclo
-  CALL restclo
-  IF (mpi_rank == 0) THEN
-    CALL getin_dump
-  ENDIF
-  !$OMP END MASTER
-  WRITE(lunout, *) 'Stopping in ', modname
-  WRITE(lunout, *) 'Reason = ', message
-  IF (ierr == 0) THEN
-    WRITE(lunout, *) 'Everything is cool'
-    IF (.NOT. using_mpi) THEN
-      STOP
-    END IF
-  ELSE
-    WRITE(lunout, *) 'Houston, we have a problem, ierr = ', ierr
-
-    IF (using_mpi) THEN
-      !$OMP CRITICAL (MPI_ABORT_GCM)
-      CALL MPI_ABORT(comm_lmdz, 1, ierror_mpi)
-      !$OMP END CRITICAL (MPI_ABORT_GCM)
-    ELSE
-      STOP 1
-    END IF
-  END IF
-END SUBROUTINE abort_gcm
Index: /LMDZ6/branches/Amaury_dev/libf/misc/lmdz_cppkeys_wrapper.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/misc/lmdz_cppkeys_wrapper.F90	(revision 5294)
+++ /LMDZ6/branches/Amaury_dev/libf/misc/lmdz_cppkeys_wrapper.F90	(revision 5295)
@@ -8,12 +8,14 @@
 !      CPP_PHYS       -> CPPKEY_PHYS
 !      INCA           -> CPPKEY_INCA   ! -> also in lmdz_inca_wrappers.F90
-!      REPROBUS       -> CPPKEY_REPROBUS ! -> also in lmdz_reprobus_wrappers.F90
+!      REPROBUS       -> CPPKEY_REPROBUS  ! -> also in lmdz_reprobus_wrappers.F90
 !      CPP_StratAer   -> CPPKEY_STRATAER
-!      CPP_DUST       -> CPPKEY_DUST
-!      CPP_INLANDSIS  -> CPPKEY_INLANDSIS
-!      OUTPUT_PHYS_SCM-> CPPKEY_OUTPUTPHYSSCM
-!      CPP_COSP       -> CPPKEY_COSP
-!      CPP_COSP2      -> CPPKEY_COSP2
-!      CPP_COSPV2     -> CPPKEY_COSPV2
+!      CPP_DUST       -> CPPKEY_DUST  ! only used in PHYS
+!      CPP_INLANDSIS  -> CPPKEY_INLANDSIS  ! only used in PHYS
+!      OUTPUT_PHYS_SCM-> CPPKEY_OUTPUTPHYSSCM ! only used in DYN1D
+!      CPP_COSP       -> CPPKEY_COSP  ! only used in PHYS
+!      CPP_COSP2      -> CPPKEY_COSP2  ! only used in PHYS
+!      CPP_COSPV2     -> CPPKEY_COSPV2  ! only used in PHYS
+!
+! NB Laurent 09/24: Certaines clés sont utilisées uniquement dans la physique, mais on décide de les laisser dans misc/ pour l'instant.
 ! ---------------------------------------------
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read.F90	(revision 5294)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read.F90	(revision 5295)
@@ -1,5 +1,3 @@
 MODULE mod_1D_cases_read
-  USE netcdf, ONLY: nf90_noerr, nf90_strerror, nf90_inq_varid, nf90_inquire_dimension, nf90_inq_dimid, &
-          nf90_nowrite, nf90_open, nf90_get_var
 
   !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -256,4 +254,5 @@
 
     !program reading forcing of the case study
+    USE netcdf, ONLY: nf90_get_var
 
     INTEGER ntime, nlevel
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read2.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 5294)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 5295)
@@ -309,4 +309,5 @@
   !**********************************************************************************************
   SUBROUTINE old_read_SCM_cas
+    USE netcdf, ONLY: nf90_get_var
     USE lmdz_date_cas, ONLY: year_ini_cas, mth_ini_cas, day_deb, heure_ini_cas, pdt_cas, day_ju_ini_cas
 
@@ -529,4 +530,5 @@
 
     !program reading forcing of the case study
+    USE netcdf, ONLY: nf90_get_var
     IMPLICIT NONE
 
@@ -641,4 +643,5 @@
 
     !program reading forcing of the case study
+    USE netcdf, ONLY: nf90_get_var
     IMPLICIT NONE
 
@@ -807,4 +810,5 @@
 
     !program reading forcing of the case study
+    USE netcdf, ONLY: nf90_get_var
     IMPLICIT NONE
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_clesphys.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_clesphys.f90	(revision 5294)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_clesphys.f90	(revision 5295)
@@ -74,5 +74,5 @@
   REAL(kind = 8) RCO2_act, RCH4_act, RN2O_act, RCFC11_act, RCFC12_act
   REAL(kind = 8) CH4_ppb, N2O_ppb, CFC11_ppt, CFC12_ppt
-  !IM ajout CFMIP2/CMIP5
+  !IM ajout CFMIP2/CMIP5ok_bs
   REAL(kind = 8) RCO2_per, RCH4_per, RN2O_per, RCFC11_per, RCFC12_per
   REAL(kind = 8) CH4_ppb_per, N2O_ppb_per, CFC11_ppt_per, CFC12_ppt_per
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_yoerad.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_yoerad.f90	(revision 5294)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_yoerad.f90	(revision 5295)
@@ -1,3 +1,3 @@
-! Copied from rrtm/yoerad.F90 to allow compilation of StratAer blocks
+! Sourced from rrtm/yoerad.F90 to allow compilation of StratAer blocks
 
 MODULE lmdz_yoerad
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_landice_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_landice_mod.F90	(revision 5294)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_landice_mod.F90	(revision 5295)
@@ -57,6 +57,6 @@
 
     USE indice_sol_mod
-  USE lmdz_clesphys
-  USE lmdz_yomcst
+    USE lmdz_clesphys
+    USE lmdz_yomcst
 
     !    INCLUDE "indicesol.h"