Index: LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.f90
===================================================================
--- LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.f90	(revision 5294)
+++ LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.f90	(revision 5296)
@@ -96,4 +96,5 @@
        ratqs_inter_
   USE alpale_mod
+  USE compbl_mod_h
   IMPLICIT NONE
 !-------------------------------------------------------------------------------
@@ -128,6 +129,4 @@
   REAL    :: alp_offset
   LOGICAL :: filtre_oro=.false.
-
-  INCLUDE "compbl.h"
 
   deg2rad= pi/180.0
Index: LMDZ6/trunk/libf/obsolete/calcul_REGDYN.h
===================================================================
--- LMDZ6/trunk/libf/obsolete/calcul_REGDYN.h	(revision 5296)
+++ LMDZ6/trunk/libf/obsolete/calcul_REGDYN.h	(revision 5296)
@@ -0,0 +1,22 @@
+c
+c $Header$
+c
+c calculs statistiques distribution nuage ftion du regime dynamique 
+c
+c Ce calcul doit etre fait a partir de valeurs mensuelles ??
+      CALL histo_o500_pctau(nbregdyn,pct_ocean,o500,fq_isccp,
+     &histoW,nhistoW)
+c
+c nhistoWt = somme de toutes les nhistoW
+      DO nreg=1, nbregdyn
+       DO k = 1, kmaxm1
+        DO l = 1, lmaxm1
+         DO iw = 1, iwmax
+          nhistoWt(k,l,iw,nreg)=nhistoWt(k,l,iw,nreg)+
+     &    nhistoW(k,l,iw,nreg)
+         ENDDO
+        ENDDO
+       ENDDO
+      ENDDO
+c
+cIM 190504 END
Index: LMDZ6/trunk/libf/phy_common/phys_constants_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phy_common/phys_constants_mod.f90	(revision 5296)
+++ LMDZ6/trunk/libf/phy_common/phys_constants_mod.f90	(revision 5296)
@@ -0,0 +1,9 @@
+! Amaury 08/24: I created this module to declare some constants that were previously duplicated in several places
+! Feel free to move this to another better-suited module.
+MODULE phys_constants_mod
+  IMPLICIT NONE; PRIVATE
+  PUBLIC dobson_u
+
+  REAL, PARAMETER :: dobson_u = 2.1415e-05 ! Dobson unit, in kg m-2
+END MODULE phys_constants_mod
+
Index: LMDZ6/trunk/libf/phylmd/Dust/phys_output_write_spl_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5294)
+++ LMDZ6/trunk/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5296)
@@ -89,5 +89,6 @@
     ! defined and initialised mainly in phytracr_spl_mod.F90 (SPLA tracers, subroutine phytracr_spl_out_init)
 
-USE alpale_mod
+USE compbl_mod_h
+    USE alpale_mod
         USE dimphy, ONLY: klon, klev, klevp1
     USE ocean_slab_mod, ONLY: nslay
@@ -395,11 +396,11 @@
 
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE yomcst_mod_h
+    USE yomcst_mod_h
     USE clesphys_mod_h
     USE iniprint_mod_h
+    USE phys_constants_mod, ONLY: dobson_u
 IMPLICIT NONE
 
 !   INCLUDE "temps.h"
-    INCLUDE "compbl.h"
 
     ! Input
@@ -433,5 +434,4 @@
     INTEGER, DIMENSION(iim*jjmp1)  :: ndex2d
     INTEGER, DIMENSION(iim*jjmp1*klev) :: ndex3d
-    REAL, PARAMETER :: dobson_u = 2.1415e-05 ! Dobson unit, in kg m-2
     REAL :: missing_val
     REAL, PARAMETER :: un_jour=86400.
Index: LMDZ6/trunk/libf/phylmd/calcul_REGDYN.h
===================================================================
--- LMDZ6/trunk/libf/phylmd/calcul_REGDYN.h	(revision 5294)
+++ 	(revision )
@@ -1,22 +1,0 @@
-c
-c $Header$
-c
-c calculs statistiques distribution nuage ftion du regime dynamique 
-c
-c Ce calcul doit etre fait a partir de valeurs mensuelles ??
-      CALL histo_o500_pctau(nbregdyn,pct_ocean,o500,fq_isccp,
-     &histoW,nhistoW)
-c
-c nhistoWt = somme de toutes les nhistoW
-      DO nreg=1, nbregdyn
-       DO k = 1, kmaxm1
-        DO l = 1, lmaxm1
-         DO iw = 1, iwmax
-          nhistoWt(k,l,iw,nreg)=nhistoWt(k,l,iw,nreg)+
-     &    nhistoW(k,l,iw,nreg)
-         ENDDO
-        ENDDO
-       ENDDO
-      ENDDO
-c
-cIM 190504 END
Index: LMDZ6/trunk/libf/phylmd/climb_hq_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/climb_hq_mod.f90	(revision 5294)
+++ LMDZ6/trunk/libf/phylmd/climb_hq_mod.f90	(revision 5296)
@@ -5,5 +5,5 @@
 !
   USE dimphy
-
+  USE compbl_mod_h
   IMPLICIT NONE
   PRIVATE
@@ -81,8 +81,4 @@
     REAL                                     :: delz, pkh
     INTEGER                                  :: k, i, ierr
-! Include
-!****************************************************************************************
-    INCLUDE "compbl.h"
-
 
 !****************************************************************************************
@@ -328,4 +324,5 @@
 !   
 USE yomcst_mod_h
+USE compbl_mod_h
 ! Input arguments
 !****************************************************************************************
@@ -353,9 +350,4 @@
     REAL, DIMENSION(klon)                    :: psref         
     INTEGER                                  :: k, i, ierr
- 
-! Include
-!****************************************************************************************
-    INCLUDE "compbl.h"
-
 !****************************************************************************************
 ! 1) 
Index: LMDZ6/trunk/libf/phylmd/climb_qbs_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/climb_qbs_mod.f90	(revision 5294)
+++ LMDZ6/trunk/libf/phylmd/climb_qbs_mod.f90	(revision 5296)
@@ -33,4 +33,5 @@
 ! the index of the vertical layer.
 USE yomcst_mod_h
+USE compbl_mod_h
 ! Input arguments
 !****************************************************************************************
@@ -61,9 +62,4 @@
     REAL                                     :: delz, pkh
     INTEGER                                  :: k, i, ierr
-! Include
-!****************************************************************************************
-    INCLUDE "compbl.h"
-
-
 !****************************************************************************************
 ! 1)
@@ -257,4 +253,5 @@
 !   
 USE yomcst_mod_h
+USE compbl_mod_h
 ! Input arguments
 !****************************************************************************************
@@ -282,9 +279,4 @@
     REAL, DIMENSION(klon)                    :: psref         
     INTEGER                                  :: k, i, ierr
- 
-! Include
-!****************************************************************************************
-    INCLUDE "compbl.h"
-
 !****************************************************************************************
 ! 1) 
Index: LMDZ6/trunk/libf/phylmd/climb_wind_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/climb_wind_mod.f90	(revision 5294)
+++ LMDZ6/trunk/libf/phylmd/climb_wind_mod.f90	(revision 5296)
@@ -86,4 +86,5 @@
 !
 USE yomcst_mod_h
+USE compbl_mod_h
 ! Input arguments
 !****************************************************************************************
@@ -119,9 +120,4 @@
     REAL, DIMENSION(klon)                    :: u1lay, v1lay
     INTEGER                                  :: k, i
-
-! Include
-!****************************************************************************************
-    INCLUDE "compbl.h"
-
 !****************************************************************************************
 ! Initialize module
@@ -273,4 +269,5 @@
 !****************************************************************************************
 USE yomcst_mod_h
+USE compbl_mod_h
 ! Input arguments
 !****************************************************************************************
@@ -296,10 +293,4 @@
     REAL, DIMENSION(klon,klev)              :: u_new, v_new
     INTEGER                                 :: k, i
-
-! Include
-!****************************************************************************************
-    INCLUDE "compbl.h"
-    
-!
 !****************************************************************************************
 
Index: LMDZ6/trunk/libf/phylmd/coef_diff_turb_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/coef_diff_turb_mod.f90	(revision 5294)
+++ LMDZ6/trunk/libf/phylmd/coef_diff_turb_mod.f90	(revision 5296)
@@ -22,4 +22,5 @@
     USE yomcst_mod_h
     USE yoethf_mod_h
+    USE compbl_mod_h
 !
 ! Calculate coefficients(ycoefm, ycoefh) for turbulent diffusion in the
@@ -60,8 +61,4 @@
     REAL, DIMENSION(klon,klev+1)               :: yzlev, q2diag, ykmm, ykmn, ykmq
     REAL, DIMENSION(klon)                      :: yustar
-
-! Include
-!****************************************************************************************
-    INCLUDE "compbl.h"
 
     ykmm = 0 !ym missing init
@@ -212,4 +209,5 @@
     USE print_control_mod, ONLY: prt_level, lunout
     USE yoethf_mod_h
+    USE compbl_mod_h
 
 !======================================================================
@@ -233,5 +231,4 @@
 !======================================================================
     INCLUDE "FCTTRE.h"
-    INCLUDE "compbl.h"
 !
 ! Arguments:
Index: LMDZ6/trunk/libf/phylmd/compbl.h
===================================================================
--- LMDZ6/trunk/libf/phylmd/compbl.h	(revision 5294)
+++ 	(revision )
@@ -1,12 +1,0 @@
-      !
-      ! $Header$
-      !
-!jyg+al1<
-!!      integer iflag_pbl,iflag_pbl_split
-!!      common/compbl/iflag_pbl,iflag_pbl_split
-!!FC      integer iflag_pbl, iflag_pbl_split, iflag_order2_sollw
-!FC      common/compbl/iflag_pbl, iflag_pbl_split, iflag_order2_sollw
-      integer iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
-      common/compbl/iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
-!>jyg+al1
-!$OMP THREADPRIVATE(/compbl/)
Index: LMDZ6/trunk/libf/phylmd/compbl_mod_h.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/compbl_mod_h.f90	(revision 5296)
+++ LMDZ6/trunk/libf/phylmd/compbl_mod_h.f90	(revision 5296)
@@ -0,0 +1,16 @@
+! Replaces compbl.h
+
+MODULE compbl_mod_h
+  IMPLICIT NONE; PRIVATE
+  PUBLIC iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
+
+  !!      integer iflag_pbl,iflag_pbl_split
+  !!      common/compbl/iflag_pbl,iflag_pbl_split
+  !!FC      integer iflag_pbl, iflag_pbl_split, iflag_order2_sollw
+  !FC      common/compbl/iflag_pbl, iflag_pbl_split, iflag_order2_sollw
+  INTEGER iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
+  !$OMP THREADPRIVATE(iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree)
+
+  !>jyg+al1
+
+END MODULE compbl_mod_h
Index: LMDZ6/trunk/libf/phylmd/conf_phys_m.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/conf_phys_m.f90	(revision 5294)
+++ LMDZ6/trunk/libf/phylmd/conf_phys_m.f90	(revision 5296)
@@ -24,5 +24,6 @@
        alp_offset)
 
-USE alpale_mod
+USE compbl_mod_h
+    USE alpale_mod
     USE conema3_mod_h
         USE yomcst_mod_h
@@ -46,5 +47,4 @@
 
     !IM : on inclut/initialise les taux de CH4, N2O, CFC11 et CFC12
-    INCLUDE "compbl.h"
     INCLUDE "comsoil.h"
     INCLUDE "YOEGWD.h"
Index: LMDZ6/trunk/libf/phylmd/create_etat0_unstruct_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/create_etat0_unstruct_mod.f90	(revision 5294)
+++ LMDZ6/trunk/libf/phylmd/create_etat0_unstruct_mod.f90	(revision 5296)
@@ -95,4 +95,5 @@
   USE clesphys_mod_h
   USE alpale_mod
+  USE compbl_mod_h
   IMPLICIT NONE
 
@@ -112,6 +113,4 @@
     REAL,    DIMENSION(klon_mpi)             :: cell_area_mpi
     REAL,    DIMENSION(klon_mpi,nbsrf)       :: pctsrf_mpi
-
-    INCLUDE "compbl.h"
 
     INTEGER :: ji,j,i
Index: LMDZ6/trunk/libf/phylmd/dyn1d/old_lmdz1d.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/old_lmdz1d.f90	(revision 5294)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/old_lmdz1d.f90	(revision 5296)
@@ -5,5 +5,6 @@
       SUBROUTINE old_lmdz1d
 
-   USE clesphys_mod_h
+USE compbl_mod_h
+         USE clesphys_mod_h
       USE ioipsl, only: ju2ymds, ymds2ju, ioconf_calendar,getin
    USE phys_state_var_mod, ONLY : phys_state_var_init, phys_state_var_end, &
@@ -64,5 +65,4 @@
       INCLUDE "fcg_gcssold.h"
 !!!      INCLUDE "fbforcing.h"
-      INCLUDE "compbl.h"
 
 !=====================================================================
Index: LMDZ6/trunk/libf/phylmd/dyn1d/scm.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/scm.f90	(revision 5294)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/scm.f90	(revision 5296)
@@ -1,5 +1,6 @@
 SUBROUTINE scm
 
-   USE clesphys_mod_h
+USE compbl_mod_h
+         USE clesphys_mod_h
       USE ioipsl, only: ju2ymds, ymds2ju, ioconf_calendar,getin
    USE phys_state_var_mod, ONLY : phys_state_var_init, phys_state_var_end, &
@@ -59,5 +60,4 @@
       INCLUDE "tsoilnudge.h"
       INCLUDE "fcg_gcssold.h"
-      INCLUDE "compbl.h"
 
 !=====================================================================
Index: LMDZ6/trunk/libf/phylmd/ener_conserv.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/ener_conserv.f90	(revision 5294)
+++ LMDZ6/trunk/libf/phylmd/ener_conserv.f90	(revision 5296)
@@ -20,4 +20,5 @@
 
 ! From module
+USE compbl_mod_h
 USE yoethf_mod_h
 USE clesphys_mod_h
@@ -36,5 +37,4 @@
 IMPLICIT none
 
-INCLUDE "compbl.h"
 
 ! Arguments
Index: LMDZ6/trunk/libf/phylmd/freinage.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/freinage.f90	(revision 5294)
+++ LMDZ6/trunk/libf/phylmd/freinage.f90	(revision 5296)
@@ -6,5 +6,6 @@
 
     !ONLINE:
-    USE clesphys_mod_h
+USE compbl_mod_h
+        USE clesphys_mod_h
     use dimphy, only: klon, klev
 !    USE control, ONLY: nvm
@@ -17,7 +18,6 @@
 
     include "YOEGWD.h"
-!FC 
+!FC
     include "dimpft.h"
-    include "compbl.h"
 
     ! 0. DECLARATIONS:
Index: LMDZ6/trunk/libf/phylmd/inlandsis/surf_inlandsis_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/inlandsis/surf_inlandsis_mod.f90	(revision 5294)
+++ LMDZ6/trunk/libf/phylmd/inlandsis/surf_inlandsis_mod.f90	(revision 5296)
@@ -1040,4 +1040,5 @@
         USE dimsoil_mod_h, ONLY: nsoilmx, nsnowmx, nsismx
         USE clesphys_mod_h
+        USE compbl_mod_h
         IMPLICIT none
         !======================================================================
@@ -1045,10 +1046,5 @@
         ! Objet: Lecture du fichier de conditions initiales pour SISVAT
         !======================================================================
-        !    include "indicesol.h"
-
-        !
-        include "compbl.h"
-
-        !======================================================================
+
         CHARACTER(LEN = *) :: fichnom
 
@@ -1268,5 +1264,6 @@
         ! Objet: Ecriture de l'etat de redemarrage pour SISVAT
         !======================================================================
-        USE mod_grid_phy_lmdz
+USE compbl_mod_h
+                USE mod_grid_phy_lmdz
         USE mod_phys_lmdz_para
         USE iostart
@@ -1280,5 +1277,4 @@
 
         IMPLICIT none
-        include "compbl.h"
 
         !======================================================================
Index: LMDZ6/trunk/libf/phylmd/pbl_surface_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/pbl_surface_mod.F90	(revision 5294)
+++ LMDZ6/trunk/libf/phylmd/pbl_surface_mod.F90	(revision 5296)
@@ -407,5 +407,6 @@
 #endif
 #endif
-USE yoethf_mod_h
+USE compbl_mod_h
+    USE yoethf_mod_h
         USE clesphys_mod_h
     USE ioipsl_getin_p_mod, ONLY : getin_p
@@ -422,5 +423,4 @@
 
     INCLUDE "FCTTRE.h"
-    INCLUDE "compbl.h"
     INCLUDE "flux_arp.h"
 !FC 
@@ -4287,10 +4287,10 @@
     ! Give default values where new fraction has appread
 
-    USE clesphys_mod_h
+USE compbl_mod_h
+        USE clesphys_mod_h
     USE indice_sol_mod
     use phys_state_var_mod, only: delta_sal, ds_ns, dt_ns, delta_sst, dter, &
          dser, dt_ds
     use config_ocean_skin_m, only: activate_ocean_skin
-    INCLUDE "compbl.h"
 
 ! Input variables
Index: LMDZ6/trunk/libf/phylmd/phyetat0_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/phyetat0_mod.f90	(revision 5294)
+++ LMDZ6/trunk/libf/phylmd/phyetat0_mod.f90	(revision 5296)
@@ -45,15 +45,11 @@
   use config_ocean_skin_m, only: activate_ocean_skin
   USE dimsoil_mod_h, ONLY: nsoilmx
-
-
   USE yomcst_mod_h
   USE alpale_mod
+  USE compbl_mod_h
 IMPLICIT none
   !======================================================================
   ! Auteur(s) Z.X. Li (LMD/CNRS) date: 19930818
   ! Objet: Lecture de l'etat initial pour la physique
-  !======================================================================
-  include "compbl.h"
-
   !======================================================================
   CHARACTER*(*) fichnom
Index: LMDZ6/trunk/libf/phylmd/phyredem.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/phyredem.f90	(revision 5294)
+++ LMDZ6/trunk/libf/phylmd/phyredem.f90	(revision 5296)
@@ -9,5 +9,6 @@
 ! Purpose: Write restart state for physics.
 !-------------------------------------------------------------------------------
-USE alpale_mod
+USE compbl_mod_h
+  USE alpale_mod
     USE clesphys_mod_h
   USE dimphy, ONLY: klon, klev
@@ -47,5 +48,4 @@
   USE dimsoil_mod_h, ONLY: nsoilmx
   IMPLICIT none
-  include "compbl.h"
   !======================================================================
   CHARACTER*(*) fichnom
Index: LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 5294)
+++ LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 5296)
@@ -470,5 +470,6 @@
     USE YOESW, ONLY : RSUN
 #endif
-USE alpale_mod
+USE compbl_mod_h
+    USE alpale_mod
         USE clesphys_mod_h
     USE tracinca_mod, ONLY: config_inca
@@ -479,7 +480,7 @@
 
     USE yomcst_mod_h
+    USE phys_constants_mod, ONLY: dobson_u
 IMPLICIT NONE
 
-    INCLUDE "compbl.h"
 
 
@@ -516,5 +517,4 @@
     INTEGER, DIMENSION(nbp_lon*nbp_lat)  :: ndex2d
     INTEGER, DIMENSION(nbp_lon*nbp_lat*klev) :: ndex3d
-    REAL, PARAMETER :: dobson_u = 2.1415e-05 ! Dobson unit, in kg m-2
 !   REAL, PARAMETER :: missing_val=nf90_fill_real
     REAL, DIMENSION(klev+1,2) :: Ahyb_bounds, Bhyb_bounds
Index: LMDZ6/trunk/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/physiq_mod.F90	(revision 5294)
+++ LMDZ6/trunk/libf/phylmd/physiq_mod.F90	(revision 5296)
@@ -362,5 +362,5 @@
        USE yoethf_mod_h
        USE calcul_divers_mod_h, ONLY: calcul_divers
-
+       USE compbl_mod_h
     IMPLICIT NONE
     !>======================================================================
@@ -1174,5 +1174,4 @@
     include "FCTTRE.h"
     include "nuage.h"
-    include "compbl.h"
     !IM 100106 END : pouvoir sortir les ctes de la physique
     !
Index: LMDZ6/trunk/libf/phylmd/radiation_AR4.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/radiation_AR4.f90	(revision 5294)
+++ LMDZ6/trunk/libf/phylmd/radiation_AR4.f90	(revision 5296)
@@ -9,4 +9,5 @@
   USE print_control_mod, ONLY: lunout
   USE yomcst_mod_h
+  USE phys_constants_mod, ONLY: dobson_u
 IMPLICIT NONE
 
@@ -81,6 +82,4 @@
 
   ! * LOCAL VARIABLES:
-
-  REAL, PARAMETER :: dobson_u = 2.1415E-05 ! Dobson unit, in kg m-2
 
   REAL (KIND=8) zoz(kdlon, kflev)
Index: LMDZ6/trunk/libf/phylmd/radlwsw_m.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/radlwsw_m.F90	(revision 5294)
+++ LMDZ6/trunk/libf/phylmd/radlwsw_m.F90	(revision 5296)
@@ -89,4 +89,5 @@
     USE clesphys_mod_h
     USE yoethf_mod_h
+    USE phys_constants_mod, ONLY: dobson_u
 
     !======================================================================
@@ -403,5 +404,4 @@
     REAL(KIND=8) zsolsw_aero(kdlon,9), zsolsw0_aero(kdlon,9)
     REAL(KIND=8) ztopswcf_aero(kdlon,3), zsolswcf_aero(kdlon,3)     
-    ! real, parameter:: dobson_u = 2.1415e-05 ! Dobson unit, in kg m-2 deje declare dans physiq.F MPL 20130618
     !MPL input supplementaires pour RECMWFL
     ! flwc, fiwc = Liquid Water Content & Ice Water Content (kg/kg)
@@ -471,5 +471,4 @@
     !      REAL(KIND=8) SUN(3)
     !      REAL(KIND=8) SUN_FRACT(2)
-    REAL, PARAMETER:: dobson_u = 2.1415e-05 ! Dobson unit, in kg m-2
     CHARACTER (LEN=80) :: abort_message
     CHARACTER (LEN=80) :: modname='radlwsw_m'
Index: LMDZ6/trunk/libf/phylmd/surf_land_orchidee_nofrein_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/surf_land_orchidee_nofrein_mod.F90	(revision 5294)
+++ LMDZ6/trunk/libf/phylmd/surf_land_orchidee_nofrein_mod.F90	(revision 5296)
@@ -61,4 +61,5 @@
 #endif
     USE yomcst_mod_h
+    USE compbl_mod_h
 !    
 ! Cette routine sert d'interface entre le modele atmospherique et le 
@@ -115,6 +116,4 @@
 !
     INCLUDE "dimpft.h"
-    INCLUDE "compbl.h"
-
   
 !
Index: LMDZ6/trunk/libf/phylmd/surf_land_orchidee_noz0h_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/surf_land_orchidee_noz0h_mod.F90	(revision 5294)
+++ LMDZ6/trunk/libf/phylmd/surf_land_orchidee_noz0h_mod.F90	(revision 5296)
@@ -59,4 +59,5 @@
 #endif
     USE yomcst_mod_h
+    USE compbl_mod_h
 !    
 ! Cette routine sert d'interface entre le modele atmospherique et le 
@@ -113,5 +114,4 @@
 !
     INCLUDE "dimpft.h"
-    INCLUDE "compbl.h"
 !
 ! Parametres d'entree
Index: LMDZ6/trunk/libf/phylmd/sw_aeroAR4.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/sw_aeroAR4.f90	(revision 5294)
+++ LMDZ6/trunk/libf/phylmd/sw_aeroAR4.f90	(revision 5296)
@@ -99,5 +99,4 @@
   !* LOCAL VARIABLES:
   !
-  real, parameter:: dobson_u = 2.1415e-05 ! Dobson unit, in kg m-2
 
   REAL(KIND=8) ZOZ(KDLON,KFLEV)
Index: LMDZ6/trunk/libf/phylmd/undefSTD.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/undefSTD.f90	(revision 5294)
+++ LMDZ6/trunk/libf/phylmd/undefSTD.f90	(revision 5296)
@@ -36,5 +36,4 @@
   ! INTEGER nlevSTD, klevSTD, itap
   ! PARAMETER(klevSTD=17)
-  INTEGER itap
 
   ! variables locales
@@ -43,5 +42,5 @@
   INTEGER i, k, n
   ! REAL freq_calNMC(nout)
-  INTEGER read_climoz
+  INTEGER, INTENT(IN) :: read_climoz, itap
 
   ! variables Output
Index: LMDZ6/trunk/libf/phylmdiso/calcul_REGDYN.h
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/calcul_REGDYN.h	(revision 5294)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/calcul_REGDYN.h
Index: LMDZ6/trunk/libf/phylmdiso/climb_hq_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/climb_hq_mod.F90	(revision 5294)
+++ LMDZ6/trunk/libf/phylmdiso/climb_hq_mod.F90	(revision 5296)
@@ -63,4 +63,5 @@
 #endif
   USE yomcst_mod_h
+  USE compbl_mod_h
 
 ! This routine calculates recursivly the coefficients C and D
@@ -124,8 +125,5 @@
     real, DIMENSION(klon) ::  Acoef_XT_tmp,Bcoef_XT_tmp
     integer ixt
-#endif 
-! Include
-!****************************************************************************************
-    INCLUDE "compbl.h"
+#endif
     
 #ifdef ISO
@@ -505,4 +503,5 @@
 #endif
   USE yomcst_mod_h
+  USE compbl_mod_h
 ! 
 ! This routine calculates the flux and tendency of the specific humidity q and 
@@ -555,8 +554,4 @@
 #endif
  
-! Include
-!****************************************************************************************
-    INCLUDE "compbl.h"
-
 !****************************************************************************************
 ! 1) 
Index: LMDZ6/trunk/libf/phylmdiso/compbl.h
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/compbl.h	(revision 5294)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/compbl.h
Index: LMDZ6/trunk/libf/phylmdiso/compbl_mod_h.f90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/compbl_mod_h.f90	(revision 5296)
+++ LMDZ6/trunk/libf/phylmdiso/compbl_mod_h.f90	(revision 5296)
@@ -0,0 +1,1 @@
+link ../phylmd/compbl_mod_h.f90
Index: LMDZ6/trunk/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5294)
+++ LMDZ6/trunk/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5296)
@@ -15877,9 +15877,9 @@
 #endif
 
+USE compbl_mod_h
        USE clesphys_mod_h
 implicit none
 
       ! equivalent de phyetat0 pour les isotopes
-INCLUDE "compbl.h"
 
 !#ifdef ISOVERIF
@@ -16052,7 +16052,7 @@
   USE isotrac_mod, ONLY: index_iso,index_zone,izone_init
 #endif
+USE compbl_mod_h
       USE clesphys_mod_h
         implicit none
-INCLUDE "compbl.h"
 
         ! arguments  
@@ -16426,7 +16426,7 @@
    USE isotrac_mod, ONLY: strtrac, initialisation_isotrac, index_iso, index_zone, izone_init
 #endif
+USE compbl_mod_h
    USE clesphys_mod_h
    IMPLICIT NONE
-INCLUDE "compbl.h"
 
    REAL, INTENT(IN) ::             snow     (klon,nbsrf)
Index: LMDZ6/trunk/libf/phylmdiso/phyetat0_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/phyetat0_mod.F90	(revision 5294)
+++ LMDZ6/trunk/libf/phylmdiso/phyetat0_mod.F90	(revision 5296)
@@ -64,12 +64,10 @@
   USE yomcst_mod_h
   USE alpale_mod
+  USE compbl_mod_h
 IMPLICIT none
   !======================================================================
   ! Auteur(s) Z.X. Li (LMD/CNRS) date: 19930818
   ! Objet: Lecture de l'etat initial pour la physique
-  !======================================================================
-  include "compbl.h"
-
-  !======================================================================
+  !======================================================================  !======================================================================
   CHARACTER*(*) fichnom
 
Index: LMDZ6/trunk/libf/phylmdiso/phyredem.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/phyredem.F90	(revision 5294)
+++ LMDZ6/trunk/libf/phylmdiso/phyredem.F90	(revision 5296)
@@ -46,5 +46,6 @@
 #endif
 #endif
-USE alpale_mod
+USE compbl_mod_h
+  USE alpale_mod
     USE clesphys_mod_h
   USE carbon_cycle_mod, ONLY : carbon_cycle_cpl, co2_send, carbon_cycle_rad, RCO2_glo
@@ -57,5 +58,4 @@
 
   IMPLICIT none
-  include "compbl.h"
   !======================================================================
   CHARACTER*(*) fichnom
@@ -512,4 +512,5 @@
     use isotrac_mod, only: index_zone,index_iso,strtrac
 #endif
+USE compbl_mod_h
 USE alpale_mod
       USE clesphys_mod_h
@@ -518,5 +519,4 @@
 
         ! equivalent isotopique de phyredem
-INCLUDE "compbl.h"
       ! inputs
       !REAL xtsol(niso,klon)
Index: LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90	(revision 5294)
+++ LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90	(revision 5296)
@@ -435,5 +435,5 @@
     USE yoethf_mod_h
     USE calcul_divers_mod_h, ONLY: calcul_divers
-
+    USE compbl_mod_h
     IMPLICIT NONE
     !>======================================================================
@@ -1285,5 +1285,4 @@
     !IM 100106 BEG : pouvoir sortir les ctes de la physique
     include "nuage.h"
-    include "compbl.h"
     !IM 100106 END : pouvoir sortir les ctes de la physique
     !