Index: /LMDZ6/trunk/libf/phylmd/calbeta.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/calbeta.f90	(revision 5300)
+++ /LMDZ6/trunk/libf/phylmd/calbeta.f90	(revision 5301)
@@ -5,10 +5,10 @@
      vbeta,vcal,vdif)
 
-  USE dimphy
+USE flux_arp_mod_h
+    USE dimphy
   USE indice_sol_mod
 
   IMPLICIT none
 
-  INCLUDE "flux_arp.h"
 
 !======================================================================
Index: /LMDZ6/trunk/libf/phylmd/dyn1d/1DUTILS.h
===================================================================
--- /LMDZ6/trunk/libf/phylmd/dyn1d/1DUTILS.h	(revision 5300)
+++ /LMDZ6/trunk/libf/phylmd/dyn1d/1DUTILS.h	(revision 5301)
@@ -11,4 +11,7 @@
 
       USE print_control_mod, ONLY: lunout
+      USE tsoilnudge_mod_h
+      USE fcg_gcssold_mod_h
+      USE flux_arp_mod_h
       IMPLICIT NONE
 !-----------------------------------------------------------------------
@@ -19,7 +22,4 @@
 
 #include "compar1d.h"
-#include "flux_arp.h"
-#include "tsoilnudge.h"
-#include "fcg_gcssold.h"
 #include "fcg_racmo.h"
 !
Index: /LMDZ6/trunk/libf/phylmd/dyn1d/old_lmdz1d.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/dyn1d/old_lmdz1d.f90	(revision 5300)
+++ /LMDZ6/trunk/libf/phylmd/dyn1d/old_lmdz1d.f90	(revision 5301)
@@ -5,5 +5,6 @@
       SUBROUTINE old_lmdz1d
 
-USE compbl_mod_h
+USE flux_arp_mod_h
+      USE compbl_mod_h
          USE clesphys_mod_h
       USE ioipsl, only: ju2ymds, ymds2ju, ioconf_calendar,getin
@@ -52,16 +53,11 @@
    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
    USE dimsoil_mod_h, ONLY: nsoilmx
-USE yomcst_mod_h
+  USE yomcst_mod_h
+  USE tsoilnudge_mod_h
+  USE fcg_gcssold_mod_h
 implicit none
 
-
-!!      INCLUDE "control.h"
-!      INCLUDE "indicesol.h"
-
       INCLUDE "compar1d.h"
-      INCLUDE "flux_arp.h"
       INCLUDE "date_cas.h"
-      INCLUDE "tsoilnudge.h"
-      INCLUDE "fcg_gcssold.h"
 !!!      INCLUDE "fbforcing.h"
 
Index: /LMDZ6/trunk/libf/phylmd/dyn1d/scm.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/dyn1d/scm.f90	(revision 5300)
+++ /LMDZ6/trunk/libf/phylmd/dyn1d/scm.f90	(revision 5301)
@@ -1,5 +1,6 @@
 SUBROUTINE scm
 
-USE compbl_mod_h
+USE flux_arp_mod_h
+      USE compbl_mod_h
          USE clesphys_mod_h
       USE ioipsl, only: ju2ymds, ymds2ju, ioconf_calendar,getin
@@ -48,16 +49,10 @@
    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
    USE dimsoil_mod_h, ONLY: nsoilmx
-USE yomcst_mod_h
+  USE yomcst_mod_h
+  USE tsoilnudge_mod_h
+  USE fcg_gcssold_mod_h
 implicit none
-
-
-!!      INCLUDE "control.h"
-!      INCLUDE "indicesol.h"
-
       INCLUDE "compar1d.h"
-      INCLUDE "flux_arp.h"
       INCLUDE "date_cas.h"
-      INCLUDE "tsoilnudge.h"
-      INCLUDE "fcg_gcssold.h"
 
 !=====================================================================
Index: DZ6/trunk/libf/phylmd/fcg_gcssold.h
===================================================================
--- /LMDZ6/trunk/libf/phylmd/fcg_gcssold.h	(revision 5300)
+++ 	(revision )
@@ -1,46 +1,0 @@
-!
-! $Id: fcg_gcssold.h 2010-08-10 17:02:56Z lahellec $
-!
-      logical :: imp_fcg_gcssold,ts_fcg_gcssold,Tp_fcg_gcssold
-      logical :: Tp_ini_gcssold
-      logical :: xTurb_fcg_gcssold
-
-      common /fcg_gcssold/imp_fcg_gcssold,ts_fcg_gcssold,Tp_fcg_gcssold,        & 
-     & Tp_ini_gcssold,                                                          &
-     & xTurb_fcg_gcssold
-
-!$OMP THREADPRIVATE(/fcg_gcssold/)
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
Index: /LMDZ6/trunk/libf/phylmd/fcg_gcssold_mod_h.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/fcg_gcssold_mod_h.f90	(revision 5301)
+++ /LMDZ6/trunk/libf/phylmd/fcg_gcssold_mod_h.f90	(revision 5301)
@@ -0,0 +1,12 @@
+! Replaces fcg_gcssold.h
+
+MODULE fcg_gcssold_mod_h
+  IMPLICIT NONE; PRIVATE
+  PUBLIC imp_fcg_gcssold, ts_fcg_gcssold, Tp_fcg_gcssold, Tp_ini_gcssold, xTurb_fcg_gcssold
+
+  LOGICAL :: imp_fcg_gcssold, ts_fcg_gcssold, Tp_fcg_gcssold
+  LOGICAL :: Tp_ini_gcssold
+  LOGICAL :: xTurb_fcg_gcssold
+
+  !$OMP THREADPRIVATE(imp_fcg_gcssold, ts_fcg_gcssold, Tp_fcg_gcssold, Tp_ini_gcssold, xTurb_fcg_gcssold)
+END MODULE fcg_gcssold_mod_h
Index: DZ6/trunk/libf/phylmd/flux_arp.h
===================================================================
--- /LMDZ6/trunk/libf/phylmd/flux_arp.h	(revision 5300)
+++ 	(revision )
@@ -1,23 +1,0 @@
-!
-! $Id: flux_arp.h 2010-08-04 17:02:56Z lahellec $
-! Modif EV, 10/2020
-!
-      logical :: ok_flux_surf
-      logical :: ok_prescr_ust !for prescribed ustar
-      logical :: ok_prescr_beta
-      logical :: ok_forc_tsurf
-
-
-      real :: fsens
-      real :: flat
-      real :: betaevap
-      real :: ust
-      real :: tg
-
-      common /flux_arp/fsens,flat,ust,tg,ok_flux_surf,ok_prescr_ust,ok_prescr_beta,betaevap,ok_forc_tsurf
-
-!$OMP THREADPRIVATE(/flux_arp/)
-
-
-      
-
Index: /LMDZ6/trunk/libf/phylmd/flux_arp_mod_h.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/flux_arp_mod_h.f90	(revision 5301)
+++ /LMDZ6/trunk/libf/phylmd/flux_arp_mod_h.f90	(revision 5301)
@@ -0,0 +1,24 @@
+! Replaces flux_arh.h
+! Modif EV, 10/2020
+
+MODULE flux_arp_mod_h
+  IMPLICIT NONE; PRIVATE
+  PUBLIC fsens, flat, betaevap, ust, tg, ok_flux_surf, ok_prescr_ust, ok_prescr_beta, ok_forc_tsurf
+
+  LOGICAL :: ok_flux_surf
+  LOGICAL :: ok_prescr_ust !for prescribed ustar
+  LOGICAL :: ok_prescr_beta
+  LOGICAL :: ok_forc_tsurf
+
+  REAL :: fsens
+  REAL :: flat
+  REAL :: betaevap
+  REAL :: ust
+  REAL :: tg
+
+  !$OMP THREADPRIVATE(fsens,flat,betaevap,ust,tg,ok_flux_surf,ok_prescr_ust,ok_prescr_beta,ok_forc_tsurf)
+END MODULE flux_arp_mod_h
+
+
+      
+
Index: /LMDZ6/trunk/libf/phylmd/ocean_forced_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/ocean_forced_mod.F90	(revision 5300)
+++ /LMDZ6/trunk/libf/phylmd/ocean_forced_mod.F90	(revision 5301)
@@ -50,7 +50,7 @@
 #endif
 #endif
-    USE clesphys_mod_h
+USE flux_arp_mod_h
+        USE clesphys_mod_h
     USE yomcst_mod_h
-    INCLUDE "flux_arp.h"
 
 ! Input arguments
@@ -275,5 +275,6 @@
 #endif
 #endif
-    USE clesphys_mod_h
+USE flux_arp_mod_h
+        USE clesphys_mod_h
     USE yomcst_mod_h
 USE dimsoil_mod_h, ONLY: nsoilmx
@@ -281,5 +282,4 @@
 !   INCLUDE "indicesol.h"
 
-    INCLUDE "flux_arp.h"
 
 ! Input arguments
Index: /LMDZ6/trunk/libf/phylmd/pbl_surface_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/pbl_surface_mod.F90	(revision 5300)
+++ /LMDZ6/trunk/libf/phylmd/pbl_surface_mod.F90	(revision 5301)
@@ -407,5 +407,6 @@
 #endif
 #endif
-USE compbl_mod_h
+USE flux_arp_mod_h
+    USE compbl_mod_h
     USE yoethf_mod_h
         USE clesphys_mod_h
@@ -423,5 +424,4 @@
 
     INCLUDE "FCTTRE.h"
-    INCLUDE "flux_arp.h"
 !FC 
     INCLUDE "dimpft.h"
Index: /LMDZ6/trunk/libf/phylmd/perturb_radlwsw.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/perturb_radlwsw.f90	(revision 5300)
+++ /LMDZ6/trunk/libf/phylmd/perturb_radlwsw.f90	(revision 5301)
@@ -3,7 +3,7 @@
 !Case-specific radiative setup
 !
-      use dimphy
+USE flux_arp_mod_h
+            use dimphy
       IMPLICIT none
-      INCLUDE "flux_arp.h"     
 !
 ! Arguments :
Index: /LMDZ6/trunk/libf/phylmd/screenc_mod.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/screenc_mod.f90	(revision 5300)
+++ /LMDZ6/trunk/libf/phylmd/screenc_mod.f90	(revision 5301)
@@ -20,4 +20,5 @@
                          pref, delu, delte, delq, s_pblh, prain, tsol, pat1)
       USE yomcst_mod_h
+      USE flux_arp_mod_h
 IMPLICIT NONE
 !-----------------------------------------------------------------------
@@ -73,6 +74,4 @@
       REAL, dimension(klon), intent(out) :: pref, delu, delte, delq
 !-----------------------------------------------------------------------
-
-      include "flux_arp.h"
 !
 ! Variables locales  
@@ -124,4 +123,5 @@
                          pref, delm, delh, zri1, s_pblh, prain, tsol, pat1)
       USE yomcst_mod_h
+      USE flux_arp_mod_h
 IMPLICIT NONE
 !-----------------------------------------------------------------------
@@ -178,7 +178,5 @@
       REAL, dimension(klon) :: cdram, cdrah
 !-----------------------------------------------------------------------
-
-      include "flux_arp.h"
-!
+      !
 ! Variables locales  
       INTEGER :: i 
Index: /LMDZ6/trunk/libf/phylmd/stdlevvar_mod.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/stdlevvar_mod.f90	(revision 5300)
+++ /LMDZ6/trunk/libf/phylmd/stdlevvar_mod.f90	(revision 5301)
@@ -22,4 +22,5 @@
                            t_2m, q_2m, t_10m, q_10m, u_10m, ustar, s_pblh, prain, tsol)
         USE yoethf_mod_h
+        USE flux_arp_mod_h
       IMPLICIT NONE
 !-------------------------------------------------------------------------
@@ -73,5 +74,4 @@
       REAL, DIMENSION(klon), INTENT(IN) :: tsol
 !-------------------------------------------------------------------------
-      include "flux_arp.h"
 !
 ! Quelques constantes et options:
@@ -321,4 +321,5 @@
       USE ioipsl_getin_p_mod, ONLY : getin_p
       USE yoethf_mod_h
+      USE flux_arp_mod_h
       IMPLICIT NONE
 !-------------------------------------------------------------------------
@@ -381,5 +382,4 @@
       REAL, DIMENSION(klon) :: tsol
 !-------------------------------------------------------------------------
-      include "flux_arp.h"
 !
 ! Quelques constantes et options:
Index: DZ6/trunk/libf/phylmd/tsoilnudge.h
===================================================================
--- /LMDZ6/trunk/libf/phylmd/tsoilnudge.h	(revision 5300)
+++ 	(revision )
@@ -1,7 +1,0 @@
-      logical nudge_tsoil
-      integer isoil_nudge
-      real Tsoil_nudge, tau_soil_nudge
-
-      common /tsoilnudge/ nudge_tsoil, isoil_nudge, Tsoil_nudge,        &
-     &                   tau_soil_nudge
-
Index: /LMDZ6/trunk/libf/phylmd/tsoilnudge_mod_h.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/tsoilnudge_mod_h.f90	(revision 5301)
+++ /LMDZ6/trunk/libf/phylmd/tsoilnudge_mod_h.f90	(revision 5301)
@@ -0,0 +1,8 @@
+MODULE tsoilnudge_mod_h
+  IMPLICIT NONE; PRIVATE
+  PUBLIC nudge_tsoil, isoil_nudge, Tsoil_nudge, tau_soil_nudge
+
+  LOGICAL nudge_tsoil
+  INTEGER isoil_nudge
+  REAL Tsoil_nudge, tau_soil_nudge
+END MODULE tsoilnudge_mod_h
Index: DZ6/trunk/libf/phylmdiso/fcg_gcssold.h
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/fcg_gcssold.h	(revision 5300)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/fcg_gcssold.h
Index: /LMDZ6/trunk/libf/phylmdiso/fcg_gcssold_mod_h.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/fcg_gcssold_mod_h.f90	(revision 5301)
+++ /LMDZ6/trunk/libf/phylmdiso/fcg_gcssold_mod_h.f90	(revision 5301)
@@ -0,0 +1,1 @@
+link ../phylmd/fcg_gcssold_mod_h.f90
Index: DZ6/trunk/libf/phylmdiso/flux_arp.h
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/flux_arp.h	(revision 5300)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/flux_arp.h
Index: /LMDZ6/trunk/libf/phylmdiso/flux_arp_mod_h.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/flux_arp_mod_h.f90	(revision 5301)
+++ /LMDZ6/trunk/libf/phylmdiso/flux_arp_mod_h.f90	(revision 5301)
@@ -0,0 +1,1 @@
+link ../phylmd/flux_arp_mod_h.f90
Index: DZ6/trunk/libf/phylmdiso/tsoilnudge.h
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/tsoilnudge.h	(revision 5300)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/tsoilnudge.h
Index: /LMDZ6/trunk/libf/phylmdiso/tsoilnudge_mod_h.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/tsoilnudge_mod_h.f90	(revision 5301)
+++ /LMDZ6/trunk/libf/phylmdiso/tsoilnudge_mod_h.f90	(revision 5301)
@@ -0,0 +1,1 @@
+link ../phylmd/tsoilnudge_mod_h.f90