Index: LMDZ6/trunk/libf/phylmd/dyn1d/1DUTILS.h
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/1DUTILS.h	(revision 5301)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/1DUTILS.h	(revision 5302)
@@ -1,9 +1,3 @@
-#include "conf_gcm.f90"
-
-!
-! $Id$
-!
-!
-!
+
       SUBROUTINE conf_unicol
 !
@@ -14,4 +8,5 @@
       USE fcg_gcssold_mod_h
       USE flux_arp_mod_h
+      USE compar1d_mod_h
       IMPLICIT NONE
 !-----------------------------------------------------------------------
@@ -21,6 +16,5 @@
 !   --------------
 
-#include "compar1d.h"
-#include "fcg_racmo.h"
+
 !
 !
Index: LMDZ6/trunk/libf/phylmd/dyn1d/compar1d.h
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/compar1d.h	(revision 5301)
+++ 	(revision )
@@ -1,71 +1,0 @@
-!
-! $Id: compar1d.h 2010-08-04 17:02:56Z lahellec $
-!
-      integer :: forcing_type
-      integer :: tend_u,tend_v,tend_w,tend_t,tend_q,tend_rayo
-      real :: nudge_u,nudge_v,nudge_w,nudge_t,nudge_q
-      integer :: iflag_nudge
-      real :: nat_surf
-      real :: tsurf
-      real :: beta_surf
-      real :: rugos
-      real :: rugosh
-      real :: xqsol(1:2)
-      real :: qsurf
-      real :: psurf
-      real :: zsurf
-      real :: albedo
-      real :: snowmass
-
-      real :: time
-      real :: time_ini
-      real :: xlat 
-      real :: xlon 
-      real :: airefi
-      real :: wtsurf 
-      real :: wqsurf 
-      real :: restart_runoff 
-      real :: xagesno 
-      real :: qsolinp 
-      real :: zpicinp 
-
-      logical :: restart
-      logical :: ok_old_disvert
-
-! Pour les forcages communs: ces entiers valent 0 ou 1
-! tadv= advection tempe, tadvv= adv tempe verticale, tadvh= adv tempe horizontale
-! idem pour l advection en theta
-! qadv= advection q, qadvv= adv q verticale, qadvh= adv q horizontale
-! trad= 0 (rayonnement actif) ou 1 (prescrit par tend_rad) ou adv (prescir et contenu dans les tadv)
-! forcages en omega, w, vent geostrophique ou ustar
-! Parametres de nudging en u,v,t,q valent 0 ou 1 ou le temps de nudging
-
-      integer :: tadv, tadvv, tadvh, qadv, qadvv, qadvh, thadv, thadvv, thadvh, trad
-      integer :: forc_omega, forc_u, forc_v, forc_w, forc_geo, forc_ustar
-      real    :: nudging_u, nudging_v, nudging_w, nudging_t, nudging_qv
-      real    :: p_nudging_u, p_nudging_v, p_nudging_w, p_nudging_t, p_nudging_qv
-      common/com_par1d/                                                 &
-     & nat_surf,tsurf,beta_surf,rugos,rugosh,                           &
-     & xqsol,qsurf,psurf,zsurf,albedo,time,time_ini,xlat,xlon,airefi,   &
-     & wtsurf,wqsurf,restart_runoff,xagesno,qsolinp,zpicinp,            &
-     & forcing_type,tend_u,tend_v,tend_w,tend_t,tend_q,tend_rayo,       &
-     & nudge_u,nudge_v,nudge_w,nudge_t,nudge_q,                         &
-     & iflag_nudge,snowmass,                                            &
-     & restart,ok_old_disvert,                                          &
-     & tadv, tadvv, tadvh, qadv, qadvv, qadvh, thadv, thadvv, thadvh,   &
-     & trad, forc_omega, forc_u, forc_v, forc_w, forc_geo, forc_ustar,  &
-     & nudging_u, nudging_v, nudging_t, nudging_qv, nudging_w,          &
-     & p_nudging_u, p_nudging_v, p_nudging_t, p_nudging_qv, p_nudging_w
-
-!$OMP THREADPRIVATE(/com_par1d/)
-
-
-
-
-
-
-
-
-
-
-
Index: LMDZ6/trunk/libf/phylmd/dyn1d/compar1d_mod_h.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/compar1d_mod_h.f90	(revision 5302)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/compar1d_mod_h.f90	(revision 5302)
@@ -0,0 +1,72 @@
+MODULE compar1d_mod_h
+  IMPLICIT NONE; PRIVATE
+  PUBLIC  nat_surf, tsurf, beta_surf, rugos, rugosh, &
+          xqsol, qsurf, psurf, zsurf, albedo, time, time_ini, xlat, xlon, airefi, &
+          wtsurf, wqsurf, restart_runoff, xagesno, qsolinp, zpicinp, &
+          forcing_type, tend_u, tend_v, tend_w, tend_t, tend_q, tend_rayo, &
+          nudge_u, nudge_v, nudge_w, nudge_t, nudge_q, &
+          iflag_nudge, snowmass, &
+          restart, ok_old_disvert, &
+          tadv, tadvv, tadvh, qadv, qadvv, qadvh, thadv, thadvv, thadvh, &
+          trad, forc_omega, forc_u, forc_v, forc_w, forc_geo, forc_ustar, &
+          nudging_u, nudging_v, nudging_t, nudging_qv, nudging_w, &
+          p_nudging_u, p_nudging_v, p_nudging_t, p_nudging_qv, p_nudging_w
+
+  INTEGER :: forcing_type
+  INTEGER :: tend_u, tend_v, tend_w, tend_t, tend_q, tend_rayo
+  REAL :: nudge_u, nudge_v, nudge_w, nudge_t, nudge_q
+  INTEGER :: iflag_nudge
+  REAL :: nat_surf
+  REAL :: tsurf
+  REAL :: beta_surf
+  REAL :: rugos
+  REAL :: rugosh
+  REAL :: xqsol(1:2)
+  REAL :: qsurf
+  REAL :: psurf
+  REAL :: zsurf
+  REAL :: albedo
+  REAL :: snowmass
+
+  REAL :: time
+  REAL :: time_ini
+  REAL :: xlat
+  REAL :: xlon
+  REAL :: airefi
+  REAL :: wtsurf
+  REAL :: wqsurf
+  REAL :: restart_runoff
+  REAL :: xagesno
+  REAL :: qsolinp
+  REAL :: zpicinp
+
+  LOGICAL :: restart
+  LOGICAL :: ok_old_disvert
+
+  ! Pour les forcages communs: ces entiers valent 0 ou 1
+  ! tadv= advection tempe, tadvv= adv tempe verticale, tadvh= adv tempe horizontale
+  ! idem pour l advection en theta
+  ! qadv= advection q, qadvv= adv q verticale, qadvh= adv q horizontale
+  ! trad= 0 (rayonnement actif) ou 1 (prescrit par tend_rad) ou adv (prescir et contenu dans les tadv)
+  ! forcages en omega, w, vent geostrophique ou ustar
+  ! Parametres de nudging en u,v,t,q valent 0 ou 1 ou le temps de nudging
+
+  INTEGER :: tadv, tadvv, tadvh, qadv, qadvv, qadvh, thadv, thadvv, thadvh, trad
+  INTEGER :: forc_omega, forc_u, forc_v, forc_w, forc_geo, forc_ustar
+  REAL :: nudging_u, nudging_v, nudging_w, nudging_t, nudging_qv
+  REAL :: p_nudging_u, p_nudging_v, p_nudging_w, p_nudging_t, p_nudging_qv
+
+
+  !$OMP THREADPRIVATE(nat_surf, tsurf, beta_surf, rugos, rugosh, &
+  !$OMP      xqsol, qsurf, psurf, zsurf, albedo, time, time_ini, xlat, xlon, airefi, &
+  !$OMP      wtsurf, wqsurf, restart_runoff, xagesno, qsolinp, zpicinp, &
+  !$OMP      forcing_type, tend_u, tend_v, tend_w, tend_t, tend_q, tend_rayo, &
+  !$OMP      nudge_u, nudge_v, nudge_w, nudge_t, nudge_q, &
+  !$OMP      iflag_nudge, snowmass, &
+  !$OMP      restart, ok_old_disvert, &
+  !$OMP      tadv, tadvv, tadvh, qadv, qadvv, qadvh, thadv, thadvv, thadvh, &
+  !$OMP      trad, forc_omega, forc_u, forc_v, forc_w, forc_geo, forc_ustar, &
+  !$OMP      nudging_u, nudging_v, nudging_t, nudging_qv, nudging_w, &
+  !$OMP      p_nudging_u, p_nudging_v, p_nudging_t, p_nudging_qv, p_nudging_w)
+
+END MODULE compar1d_mod_h
Index: LMDZ6/trunk/libf/phylmd/dyn1d/date_cas.h
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/date_cas.h	(revision 5301)
+++ 	(revision )
@@ -1,9 +1,0 @@
-      integer :: year_ini_cas    ! initial year of the case
-      integer :: mth_ini_cas     ! initial month of the case
-      integer :: day_deb         ! initial day of the case
-      real :: heure_ini_cas      ! start time of the case
-      real :: pdt_cas            ! forcing_frequency
-      real :: day_ju_ini_cas     ! julian day of initial day of the case
-
-      common /date_cas/year_ini_cas,mth_ini_cas,day_deb,heure_ini_cas,pdt_cas,day_ju_ini_cas
-
Index: LMDZ6/trunk/libf/phylmd/dyn1d/date_cas_mod_h.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/date_cas_mod_h.f90	(revision 5302)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/date_cas_mod_h.f90	(revision 5302)
@@ -0,0 +1,12 @@
+MODULE date_cas_mod_h
+  IMPLICIT NONE; PRIVATE
+  PUBLIC year_ini_cas, mth_ini_cas, day_deb, heure_ini_cas, pdt_cas, day_ju_ini_cas
+
+  INTEGER :: year_ini_cas    ! initial year of the case
+  INTEGER :: mth_ini_cas     ! initial month of the case
+  INTEGER :: day_deb         ! initial day of the case
+  REAL :: heure_ini_cas      ! start time of the case
+  REAL :: pdt_cas            ! forcing_frequency
+  REAL :: day_ju_ini_cas     ! julian day of initial day of the case
+END MODULE date_cas_mod_h
+
Index: LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_amma_read.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_amma_read.f90	(revision 5301)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_amma_read.f90	(revision 5302)
@@ -352,4 +352,5 @@
      &         ,vitw_amma,ht_amma,hq_amma,lat_amma,sens_amma               &
      &         ,vitw_prof,ht_prof,hq_prof,lat_prof,sens_prof)
+          USE compar1d_mod_h
         implicit none
 
@@ -362,6 +363,4 @@
 ! dt_amma: total time interval (in sec) between 2 forcing data (e.g. 30min for AMMA)
 !---------------------------------------------------------------------------------------
-
-        INCLUDE "compar1d.h"
 
 ! inputs:
Index: LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read.f90	(revision 5301)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read.f90	(revision 5302)
@@ -828,5 +828,6 @@
      &         ,ustar_prof_cas,uw_prof_cas,vw_prof_cas,q1_prof_cas,q2_prof_cas)
           
-
+        USE compar1d_mod_h
+        USE date_cas_mod_h
         implicit none
 
@@ -839,7 +840,4 @@
 ! pdt_cas: total time interval (in sec) between 2 forcing data
 !---------------------------------------------------------------------------------------
-
-        INCLUDE "compar1d.h"
-        INCLUDE "date_cas.h"
 
 ! inputs:
Index: LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read2.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read2.f90	(revision 5301)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read2.f90	(revision 5302)
@@ -315,6 +315,6 @@
   SUBROUTINE old_read_SCM_cas
     use netcdf, only: nf90_get_var
+    USE date_cas_mod_h
     implicit none
-    INCLUDE "date_cas.h"
 
     INTEGER nid,rid,ierr
@@ -1043,6 +1043,6 @@
      ,hq_prof_cas,vq_prof_cas,lat_prof_cas,sens_prof_cas    &
      ,ustar_prof_cas,uw_prof_cas,vw_prof_cas,q1_prof_cas,q2_prof_cas)
-
-
+  USE compar1d_mod_h
+  USE date_cas_mod_h
   implicit none
 
@@ -1055,7 +1055,4 @@
   ! pdt_cas: total time interval (in sec) between 2 forcing data
   !---------------------------------------------------------------------------------------
-
-  INCLUDE "compar1d.h"
-  INCLUDE "date_cas.h"
 
   ! inputs:
@@ -1253,5 +1250,6 @@
      ,ustar_prof_cas,uw_prof_cas,vw_prof_cas,q1_prof_cas,q2_prof_cas,tke_prof_cas)
 
-
+  USE compar1d_mod_h
+  USE date_cas_mod_h
   implicit none
 
@@ -1264,7 +1262,4 @@
   ! pdt_cas: total time interval (in sec) between 2 forcing data
   !---------------------------------------------------------------------------------------
-
-  INCLUDE "compar1d.h"
-  INCLUDE "date_cas.h"
 
   ! inputs:
Index: LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read_std.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read_std.f90	(revision 5301)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read_std.f90	(revision 5302)
@@ -90,6 +90,6 @@
   SUBROUTINE read_SCM_cas
     use netcdf, only: nf90_get_var
+    USE date_cas_mod_h
     implicit none
-    INCLUDE "date_cas.h"
 
     INTEGER nid,rid,ierr
@@ -330,6 +330,6 @@
     !program reading forcing of the case study
     use netcdf, only: nf90_get_var
+    USE compar1d_mod_h
     implicit none
-    INCLUDE "compar1d.h"
 
     integer ntime,nlevel,k,t
@@ -653,10 +653,6 @@
        ,lat_prof_cas,sens_prof_cas                                        &
        ,ustar_prof_cas,uw_prof_cas,vw_prof_cas,q1_prof_cas,q2_prof_cas,tkes_prof_cas)
-
-
-
-
-
-
+    USE compar1d_mod_h
+    USE date_cas_mod_h
     implicit none
 
@@ -669,7 +665,4 @@
     ! pdt_cas: total time interval (in sec) between 2 forcing data
     !---------------------------------------------------------------------------------------
-
-    INCLUDE "compar1d.h"
-    INCLUDE "date_cas.h"
 
     ! inputs:
Index: LMDZ6/trunk/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5301)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5302)
@@ -1556,4 +1556,5 @@
      &             ,ts_prof,plev_prof,t_prof,q_prof,u_prof,v_prof,w_prof   &
      &             ,ht_prof,vt_prof,hq_prof,vq_prof)
+     USE compar1d_mod_h
         implicit none
 
@@ -1566,6 +1567,4 @@
 ! dt_toga: total time interval (in sec) between 2 forcing data (e.g. 6h for TOGA-COARE)
 !---------------------------------------------------------------------------------------
-
-        INCLUDE "compar1d.h"
 
 ! inputs:
@@ -1698,4 +1697,5 @@
      &             ,ustar_prof,psurf_prof,ug_prof,vg_prof                 &
      &             ,ht_prof,hq_prof,hu_prof,hv_prof,w_prof,omega_prof)
+     USE compar1d_mod_h
         implicit none
 
@@ -1708,6 +1708,4 @@
 ! dt_dice: total time interval (in sec) between 2 forcing data (e.g. 30min. for Dice)
 !---------------------------------------------------------------------------------------
-
-        INCLUDE "compar1d.h"
 
 ! inputs:
@@ -1811,4 +1809,5 @@
      &             ,ug_gabls4,vg_gabls4,ht_gabls4,hq_gabls4,tg_gabls4                          &
      &             ,ug_prof,vg_prof,ht_prof,hq_prof,tg_prof)
+     USE compar1d_mod_h
         implicit none
 
@@ -1821,6 +1820,4 @@
 ! dt_gabls4: total time interval (in sec) between 2 forcing data (e.g. 60min. for gabls4)
 !---------------------------------------------------------------------------------------
-
-        INCLUDE "compar1d.h"
 
 ! inputs:
Index: LMDZ6/trunk/libf/phylmd/dyn1d/old_lmdz1d.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/old_lmdz1d.f90	(revision 5301)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/old_lmdz1d.f90	(revision 5302)
@@ -56,8 +56,8 @@
   USE tsoilnudge_mod_h
   USE fcg_gcssold_mod_h
+        USE compar1d_mod_h
+        USE date_cas_mod_h
 implicit none
 
-      INCLUDE "compar1d.h"
-      INCLUDE "date_cas.h"
 !!!      INCLUDE "fbforcing.h"
 
Index: LMDZ6/trunk/libf/phylmd/dyn1d/scm.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/scm.f90	(revision 5301)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/scm.f90	(revision 5302)
@@ -52,7 +52,7 @@
   USE tsoilnudge_mod_h
   USE fcg_gcssold_mod_h
+  USE compar1d_mod_h
+  USE date_cas_mod_h
 implicit none
-      INCLUDE "compar1d.h"
-      INCLUDE "date_cas.h"
 
 !=====================================================================