Index: /LMDZ6/trunk/libf/phylmd/cv_routines.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/cv_routines.f90	(revision 5302)
+++ /LMDZ6/trunk/libf/phylmd/cv_routines.f90	(revision 5303)
@@ -4,4 +4,5 @@
 SUBROUTINE cv_param(nd)
   USE cvthermo_mod_h
+  USE cvparam_mod_h
   IMPLICIT NONE
 
@@ -37,5 +38,4 @@
   ! ***                   (DAMP MUST BE LESS THAN 1)                 ***
 
-  include "cvparam.h"
   INTEGER nd
   CHARACTER (LEN=20) :: modname = 'cv_routines'
@@ -77,4 +77,5 @@
 SUBROUTINE cv_prelim(len, nd, ndp1, t, q, p, ph, lv, cpn, tv, gz, h, hm)
   USE cvthermo_mod_h
+  USE cvparam_mod_h
   IMPLICIT NONE
 
@@ -94,7 +95,4 @@
   INTEGER k, i
   REAL cpx(len, nd)
-
-  include "cvparam.h"
-
 
   DO k = 1, nlp
@@ -134,5 +132,6 @@
 SUBROUTINE cv_feed(len, nd, t, q, qs, p, hm, gz, nk, icb, icbmax, iflag, tnk, &
     qnk, gznk, plcl)
-  IMPLICIT NONE
+USE cvparam_mod_h
+    IMPLICIT NONE
 
   ! ================================================================
@@ -140,5 +139,4 @@
   ! ================================================================
 
-  include "cvparam.h"
 
   ! inputs:
@@ -255,8 +253,8 @@
 SUBROUTINE cv_undilute1(len, nd, t, q, qs, gz, p, nk, icb, icbmax, tp, tvp, &
     clw)
-  USE cvthermo_mod_h
+USE cvparam_mod_h
+    USE cvthermo_mod_h
   IMPLICIT NONE
 
-  include "cvparam.h"
 
   ! inputs:
@@ -364,5 +362,6 @@
 
 SUBROUTINE cv_trigger(len, nd, icb, cbmf, tv, tvp, iflag)
-  IMPLICIT NONE
+USE cvparam_mod_h
+    IMPLICIT NONE
 
   ! -------------------------------------------------------------------
@@ -372,5 +371,4 @@
   ! -------------------------------------------------------------------
 
-  include "cvparam.h"
 
   ! inputs:
@@ -397,8 +395,8 @@
     tp1, tvp1, clw1, iflag, nk, icb, cbmf, plcl, tnk, qnk, gznk, t, q, qs, u, &
     v, gz, h, lv, cpn, p, ph, tv, tp, tvp, clw, dph)
-  USE print_control_mod, ONLY: lunout
+USE cvparam_mod_h
+    USE print_control_mod, ONLY: lunout
   IMPLICIT NONE
 
-  include "cvparam.h"
 
   ! inputs:
@@ -482,5 +480,6 @@
 SUBROUTINE cv_undilute2(nloc, ncum, nd, icb, nk, tnk, qnk, gznk, t, q, qs, &
     gz, p, dph, h, tv, lv, inb, inb1, tp, tvp, clw, hp, ep, sigp, frac)
-  USE cvthermo_mod_h
+USE cvparam_mod_h
+    USE cvthermo_mod_h
   IMPLICIT NONE
 
@@ -494,5 +493,4 @@
   ! FIND THE LEVEL OF NEUTRAL BUOYANCY
   ! ---------------------------------------------------------------------
-  include "cvparam.h"
 
   ! inputs:
@@ -765,4 +763,5 @@
     cpn, iflag, cbmf)
   USE cvthermo_mod_h
+  USE cvparam_mod_h
   IMPLICIT NONE
 
@@ -782,5 +781,4 @@
   REAL dtpbl(nloc), dtmin(nloc), tvpplcl(nloc), tvaplcl(nloc)
   REAL work(nloc)
-  include "cvparam.h"
 
   ! -------------------------------------------------------------------
@@ -846,8 +844,8 @@
     h, lv, qnk, hp, tv, tvp, ep, clw, cbmf, m, ment, qent, uent, vent, nent, &
     sij, elij)
-  USE cvthermo_mod_h
+USE cvparam_mod_h
+    USE cvthermo_mod_h
   IMPLICIT NONE
 
-  include "cvparam.h"
 
   ! inputs:
@@ -1097,7 +1095,7 @@
 SUBROUTINE cv_unsat(nloc, ncum, nd, inb, t, q, qs, gz, u, v, p, ph, h, lv, &
     ep, sigp, clw, m, ment, elij, iflag, mp, qp, up, vp, wt, water, evap)
-  USE cvthermo_mod_h
+USE cvparam_mod_h
+    USE cvthermo_mod_h
   IMPLICIT NONE
-  include "cvparam.h"
 
   ! inputs:
@@ -1298,8 +1296,8 @@
     ment, qent, uent, vent, nent, elij, tv, tvp, iflag, wd, qprime, tprime, &
     precip, cbmf, ft, fq, fu, fv, ma, qcondc)
-  USE cvthermo_mod_h
+USE cvparam_mod_h
+    USE cvthermo_mod_h
   IMPLICIT NONE
 
-  include "cvparam.h"
 
   ! inputs
@@ -1666,7 +1664,7 @@
     fq, fu, fv, ma, qcondc, iflag1, precip1, cbmf1, ft1, fq1, fu1, fv1, ma1, &
     qcondc1)
-  IMPLICIT NONE
-
-  include "cvparam.h"
+USE cvparam_mod_h
+    IMPLICIT NONE
+
 
   ! inputs:
Index: DZ6/trunk/libf/phylmd/cvparam.h
===================================================================
--- /LMDZ6/trunk/libf/phylmd/cvparam.h	(revision 5302)
+++ 	(revision )
@@ -1,29 +1,0 @@
-!
-! $Header$
-!
-!------------------------------------------------------------
-! Parameters for convectL:
-! (includes - microphysical parameters, 
-!			- parameters that control the rate of approach 
-!               to quasi-equilibrium)
-!			- noff & minorig (previously in input of convect1)
-!------------------------------------------------------------
-
-      integer noff, minorig, nl, nlp, nlm
-      real elcrit, tlcrit
-      real entp
-      real sigs, sigd
-      real omtrain, omtsnow, coeffr, coeffs
-      real dtmax
-      real cu
-      real betad
-      real alpha, damp
-      real delta
-
-      COMMON /cvparam/ noff, minorig, nl, nlp, nlm &
-                      ,elcrit, tlcrit &
-                      ,entp, sigs, sigd &
-                      ,omtrain, omtsnow, coeffr, coeffs &
-                      ,dtmax, cu, betad, alpha, damp, delta
-
-!$OMP THREADPRIVATE(/cvparam/)
Index: /LMDZ6/trunk/libf/phylmd/cvparam_mod_h.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/cvparam_mod_h.f90	(revision 5303)
+++ /LMDZ6/trunk/libf/phylmd/cvparam_mod_h.f90	(revision 5303)
@@ -0,0 +1,25 @@
+MODULE cvparam_mod_h
+  IMPLICIT NONE; PRIVATE
+  PUBLIC noff, minorig, nl, nlp, nlm &
+          , elcrit, tlcrit &
+          , entp, sigs, sigd &
+          , omtrain, omtsnow, coeffr, coeffs &
+          , dtmax, cu, betad, alpha, damp, delta
+
+  integer noff, minorig, nl, nlp, nlm
+  real elcrit, tlcrit
+  real entp
+  real sigs, sigd
+  real omtrain, omtsnow, coeffr, coeffs
+  real dtmax
+  real cu
+  real betad
+  real alpha, damp
+  real delta
+
+  !$OMP THREADPRIVATE(noff, minorig, nl, nlp, nlm &
+  !$OMP          , elcrit, tlcrit &
+  !$OMP          , entp, sigs, sigd &
+  !$OMP          , omtrain, omtsnow, coeffr, coeffs &
+  !$OMP          , dtmax, cu, betad, alpha, damp, delta)
+END MODULE cvparam_mod_h
Index: /LMDZ6/trunk/libf/phylmdiso/cv_routines.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/cv_routines.f90	(revision 5302)
+++ /LMDZ6/trunk/libf/phylmdiso/cv_routines.f90	(revision 5303)
@@ -4,4 +4,5 @@
 SUBROUTINE cv_param(nd)
   USE cvthermo_mod_h
+  USE cvparam_mod_h
   IMPLICIT NONE
 
@@ -37,5 +38,4 @@
   ! ***                   (DAMP MUST BE LESS THAN 1)                 ***
 
-  include "cvparam.h"
   INTEGER nd
   CHARACTER (LEN=20) :: modname = 'cv_routines'
@@ -77,4 +77,5 @@
 SUBROUTINE cv_prelim(len, nd, ndp1, t, q, p, ph, lv, cpn, tv, gz, h, hm)
   USE cvthermo_mod_h
+  USE cvparam_mod_h
   IMPLICIT NONE
 
@@ -94,7 +95,4 @@
   INTEGER k, i
   REAL cpx(len, nd)
-
-  include "cvparam.h"
-
 
   DO k = 1, nlp
@@ -134,5 +132,6 @@
 SUBROUTINE cv_feed(len, nd, t, q, qs, p, hm, gz, nk, icb, icbmax, iflag, tnk, &
     qnk, gznk, plcl)
-  IMPLICIT NONE
+USE cvparam_mod_h
+    IMPLICIT NONE
 
   ! ================================================================
@@ -140,5 +139,4 @@
   ! ================================================================
 
-  include "cvparam.h"
 
   ! inputs:
@@ -255,7 +253,7 @@
 SUBROUTINE cv_undilute1(len, nd, t, q, qs, gz, p, nk, icb, icbmax, tp, tvp, &
     clw)
-  USE cvthermo_mod_h
+USE cvparam_mod_h
+    USE cvthermo_mod_h
   IMPLICIT NONE
-  include "cvparam.h"
 
   ! inputs:
@@ -363,5 +361,6 @@
 
 SUBROUTINE cv_trigger(len, nd, icb, cbmf, tv, tvp, iflag)
-  IMPLICIT NONE
+USE cvparam_mod_h
+    IMPLICIT NONE
 
   ! -------------------------------------------------------------------
@@ -371,5 +370,4 @@
   ! -------------------------------------------------------------------
 
-  include "cvparam.h"
 
   ! inputs:
@@ -396,8 +394,8 @@
     tp1, tvp1, clw1, iflag, nk, icb, cbmf, plcl, tnk, qnk, gznk, t, q, qs, u, &
     v, gz, h, lv, cpn, p, ph, tv, tp, tvp, clw, dph)
-  USE print_control_mod, ONLY: lunout
+USE cvparam_mod_h
+    USE print_control_mod, ONLY: lunout
   IMPLICIT NONE
 
-  include "cvparam.h"
 
   ! inputs:
@@ -481,5 +479,6 @@
 SUBROUTINE cv_undilute2(nloc, ncum, nd, icb, nk, tnk, qnk, gznk, t, q, qs, &
     gz, p, dph, h, tv, lv, inb, inb1, tp, tvp, clw, hp, ep, sigp, frac)
-  USE cvthermo_mod_h
+USE cvparam_mod_h
+    USE cvthermo_mod_h
   IMPLICIT NONE
 
@@ -493,5 +492,4 @@
   ! FIND THE LEVEL OF NEUTRAL BUOYANCY
   ! ---------------------------------------------------------------------
-  include "cvparam.h"
 
   ! inputs:
@@ -764,4 +762,5 @@
     cpn, iflag, cbmf)
   USE cvthermo_mod_h
+  USE cvparam_mod_h
   IMPLICIT NONE
 
@@ -782,6 +781,4 @@
   REAL work(nloc)
 
-  include "cvparam.h"
-
   ! -------------------------------------------------------------------
   ! Compute icbmax.
@@ -846,8 +843,8 @@
     h, lv, qnk, hp, tv, tvp, ep, clw, cbmf, m, ment, qent, uent, vent, nent, &
     sij, elij)
-  USE cvthermo_mod_h
+USE cvparam_mod_h
+    USE cvthermo_mod_h
   IMPLICIT NONE
 
-  include "cvparam.h"
 
   ! inputs:
@@ -1097,8 +1094,8 @@
 SUBROUTINE cv_unsat(nloc, ncum, nd, inb, t, q, qs, gz, u, v, p, ph, h, lv, &
     ep, sigp, clw, m, ment, elij, iflag, mp, qp, up, vp, wt, water, evap)
-  USE cvthermo_mod_h
+USE cvparam_mod_h
+    USE cvthermo_mod_h
   IMPLICIT NONE
 
-  include "cvparam.h"
 
   ! inputs:
@@ -1299,8 +1296,8 @@
     ment, qent, uent, vent, nent, elij, tv, tvp, iflag, wd, qprime, tprime, &
     precip, cbmf, ft, fq, fu, fv, ma, qcondc)
-  USE cvthermo_mod_h
+USE cvparam_mod_h
+    USE cvthermo_mod_h
   IMPLICIT NONE
 
-  include "cvparam.h"
 
   ! inputs
@@ -1667,7 +1664,7 @@
     fq, fu, fv, ma, qcondc, iflag1, precip1, cbmf1, ft1, fq1, fu1, fv1, ma1, &
     qcondc1)
-  IMPLICIT NONE
-
-  include "cvparam.h"
+USE cvparam_mod_h
+    IMPLICIT NONE
+
 
   ! inputs:
Index: DZ6/trunk/libf/phylmdiso/cvparam.h
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/cvparam.h	(revision 5302)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/cvparam.h
Index: /LMDZ6/trunk/libf/phylmdiso/cvparam_mod_h.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/cvparam_mod_h.f90	(revision 5303)
+++ /LMDZ6/trunk/libf/phylmdiso/cvparam_mod_h.f90	(revision 5303)
@@ -0,0 +1,1 @@
+link ../phylmd/cvparam_mod_h.f90