Index: LMDZ6/trunk/libf/phylmd/conf_phys_m.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/conf_phys_m.f90	(revision 5304)
+++ LMDZ6/trunk/libf/phylmd/conf_phys_m.f90	(revision 5305)
@@ -43,7 +43,5 @@
     USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_STRATAER
     USE comsoil_mod_h
-
-    INCLUDE "nuage.h"
-
+    USE nuage_params_mod_h
 
     INCLUDE "YOEGWD.h"
Index: LMDZ6/trunk/libf/phylmd/cv3_routines.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/cv3_routines.f90	(revision 5304)
+++ LMDZ6/trunk/libf/phylmd/cv3_routines.f90	(revision 5305)
@@ -2706,7 +2706,6 @@
   USE cvflag_mod_h
   USE print_control_mod, ONLY: prt_level, lunout
+  USE nuage_params_mod_h
   IMPLICIT NONE
-
-  include "nuage.h"
 
 !inputs:
Index: LMDZ6/trunk/libf/phylmd/dimpft.h
===================================================================
--- LMDZ6/trunk/libf/phylmd/dimpft.h	(revision 5304)
+++ 	(revision )
@@ -1,6 +1,0 @@
-!
-! $Id$
-!
-      INTEGER nvm_lmdz
-!      PARAMETER (nvm_lmdz=13)
-      COMMON /dimpft/ nvm_lmdz
Index: LMDZ6/trunk/libf/phylmd/dimpft_mod_h.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/dimpft_mod_h.f90	(revision 5305)
+++ LMDZ6/trunk/libf/phylmd/dimpft_mod_h.f90	(revision 5305)
@@ -0,0 +1,7 @@
+MODULE dimpft_mod_h
+  IMPLICIT NONE; PRIVATE
+  PUBLIC nvm_lmdz
+
+  INTEGER :: nvm_lmdz
+END MODULE dimpft_mod_h
+
Index: LMDZ6/trunk/libf/phylmd/freinage.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/freinage.f90	(revision 5304)
+++ LMDZ6/trunk/libf/phylmd/freinage.f90	(revision 5305)
@@ -6,5 +6,6 @@
 
     !ONLINE:
-USE compbl_mod_h
+USE dimpft_mod_h
+    USE compbl_mod_h
         USE clesphys_mod_h
     use dimphy, only: klon, klev
@@ -19,5 +20,4 @@
     include "YOEGWD.h"
 !FC
-    include "dimpft.h"
 
     ! 0. DECLARATIONS:
Index: LMDZ6/trunk/libf/phylmd/nuage.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/nuage.f90	(revision 5304)
+++ LMDZ6/trunk/libf/phylmd/nuage.f90	(revision 5305)
@@ -11,4 +11,5 @@
   USE lmdz_lscp_ini, only : iflag_t_glace
   USE phys_local_var_mod, ONLY: ptconv
+  USE nuage_params_mod_h
   IMPLICIT NONE
   ! ======================================================================
@@ -39,6 +40,4 @@
   ! pclemi--output-R-emissivite des nuages (0 a 1)
   ! ======================================================================
-
-  include "nuage.h" ! JBM 3/14
 
   REAL paprs(klon, klev+1), pplay(klon, klev)
Index: LMDZ6/trunk/libf/phylmd/nuage.h
===================================================================
--- LMDZ6/trunk/libf/phylmd/nuage.h	(revision 5304)
+++ 	(revision )
@@ -1,15 +1,0 @@
-!
-! $Id$
-!
-      REAL rad_froid, rad_chau1, rad_chau2
-      REAL tau_cld_cv,coefw_cld_cv
-      REAL tmax_fonte_cv
-      INTEGER iflag_cld_cv, iflag_ratqs
-      LOGICAL ok_icefra_lscp
-
-      common /nuagecom/ rad_froid,rad_chau1, rad_chau2,                 &
-     &                  tau_cld_cv,coefw_cld_cv,                        &
-     &                  tmax_fonte_cv,iflag_ratqs,                      &
-     &                  iflag_cld_cv,                                   &
-     &                  ok_icefra_lscp                                 
-!$OMP THREADPRIVATE(/nuagecom/)
Index: LMDZ6/trunk/libf/phylmd/nuage_mod_h.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/nuage_mod_h.f90	(revision 5305)
+++ LMDZ6/trunk/libf/phylmd/nuage_mod_h.f90	(revision 5305)
@@ -0,0 +1,23 @@
+! Replaces nuage.h
+
+MODULE nuage_params_mod_h
+  IMPLICIT NONE; PRIVATE
+  PUBLIC rad_froid, rad_chau1, rad_chau2, &
+          tau_cld_cv, coefw_cld_cv, &
+          tmax_fonte_cv, iflag_ratqs, &
+          iflag_cld_cv, &
+          ok_icefra_lscp
+
+  REAL rad_froid, rad_chau1, rad_chau2
+  REAL tau_cld_cv, coefw_cld_cv
+  REAL tmax_fonte_cv
+  INTEGER iflag_cld_cv, iflag_ratqs
+  LOGICAL ok_icefra_lscp
+
+  !$OMP THREADPRIVATE(rad_froid,rad_chau1, rad_chau2,                 &
+  !$OMP                    tau_cld_cv,coefw_cld_cv,                        &
+  !$OMP                    tmax_fonte_cv,iflag_ratqs,                      &
+  !$OMP                    iflag_cld_cv,                                   &
+  !$OMP                    ok_icefra_lscp)
+
+END MODULE nuage_params_mod_h
Index: LMDZ6/trunk/libf/phylmd/pbl_surface_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/pbl_surface_mod.F90	(revision 5304)
+++ LMDZ6/trunk/libf/phylmd/pbl_surface_mod.F90	(revision 5305)
@@ -407,5 +407,6 @@
 #endif
 #endif
-USE flux_arp_mod_h
+USE dimpft_mod_h
+    USE flux_arp_mod_h
     USE compbl_mod_h
     USE yoethf_mod_h
@@ -424,6 +425,5 @@
 
     INCLUDE "FCTTRE.h"
-!FC 
-    INCLUDE "dimpft.h"
+!FC
 
 !****************************************************************************************
Index: LMDZ6/trunk/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/physiq_mod.F90	(revision 5304)
+++ LMDZ6/trunk/libf/phylmd/physiq_mod.F90	(revision 5305)
@@ -363,4 +363,6 @@
        USE calcul_divers_mod_h, ONLY: calcul_divers
        USE compbl_mod_h
+       USE nuage_params_mod_h
+       USE dimpft_mod_h, ONLY: nvm_lmdz
     IMPLICIT NONE
     !>======================================================================
@@ -415,5 +417,4 @@
 
     include "regdim.h"
-    include "dimpft.h"
     !======================================================================
     LOGICAL, SAVE :: ok_volcan ! pour activer les diagnostics volcaniques
@@ -1173,5 +1174,4 @@
 
     include "FCTTRE.h"
-    include "nuage.h"
     !IM 100106 END : pouvoir sortir les ctes de la physique
     !
Index: LMDZ6/trunk/libf/phylmd/surf_land_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/surf_land_mod.F90	(revision 5304)
+++ LMDZ6/trunk/libf/phylmd/surf_land_mod.F90	(revision 5305)
@@ -73,10 +73,10 @@
 #endif
 
-    USE clesphys_mod_h
+USE dimpft_mod_h
+        USE clesphys_mod_h
     USE yomcst_mod_h
 USE print_control_mod, ONLY: lunout
     USE dimsoil_mod_h, ONLY: nsoilmx
 
-    INCLUDE "dimpft.h"
 
 ! Input variables  
Index: LMDZ6/trunk/libf/phylmd/surf_land_orchidee_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/surf_land_orchidee_mod.F90	(revision 5304)
+++ LMDZ6/trunk/libf/phylmd/surf_land_orchidee_mod.F90	(revision 5305)
@@ -62,4 +62,5 @@
 #endif
     USE yomcst_mod_h
+    USE dimpft_mod_h
 !    
 ! Cette routine sert d'interface entre le modele atmospherique et le 
@@ -113,7 +114,5 @@
 !   z0h_new      surface roughness for heat
 !   qsurf        air moisture at surface
-!
-    INCLUDE "dimpft.h"
-!
+!!
 ! Parametres d'entree
 !****************************************************************************************
Index: LMDZ6/trunk/libf/phylmd/surf_land_orchidee_nofrein_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/surf_land_orchidee_nofrein_mod.F90	(revision 5304)
+++ LMDZ6/trunk/libf/phylmd/surf_land_orchidee_nofrein_mod.F90	(revision 5305)
@@ -62,4 +62,5 @@
     USE yomcst_mod_h
     USE compbl_mod_h
+    USE dimpft_mod_h
 !    
 ! Cette routine sert d'interface entre le modele atmospherique et le 
@@ -115,6 +116,5 @@
 !   qsurf        air moisture at surface
 !
-    INCLUDE "dimpft.h"
-  
+
 !
 ! Parametres d'entree
Index: LMDZ6/trunk/libf/phylmd/surf_land_orchidee_nolic_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/surf_land_orchidee_nolic_mod.F90	(revision 5304)
+++ LMDZ6/trunk/libf/phylmd/surf_land_orchidee_nolic_mod.F90	(revision 5305)
@@ -58,4 +58,5 @@
 #endif
     USE yomcst_mod_h
+    USE dimpft_mod_h
 !    
 ! Cette routine sert d'interface entre le modele atmospherique et le 
@@ -110,5 +111,4 @@
 !   qsurf        air moisture at surface
 !
-    INCLUDE "dimpft.h"
 !
 ! Parametres d'entree
Index: LMDZ6/trunk/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90	(revision 5304)
+++ LMDZ6/trunk/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90	(revision 5305)
@@ -106,9 +106,9 @@
     USE time_phylmdz_mod, ONLY: itau_phy 
 #endif
-    USE yomcst_mod_h
+USE dimpft_mod_h
+        USE yomcst_mod_h
 IMPLICIT NONE
 
 
-    INCLUDE "dimpft.h"  
 !
 ! Parametres d'entree
Index: LMDZ6/trunk/libf/phylmd/surf_land_orchidee_nounstruct_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/surf_land_orchidee_nounstruct_mod.F90	(revision 5304)
+++ LMDZ6/trunk/libf/phylmd/surf_land_orchidee_nounstruct_mod.F90	(revision 5305)
@@ -57,4 +57,5 @@
 #endif
     USE yomcst_mod_h
+    USE dimpft_mod_h
 !    
 ! Cette routine sert d'interface entre le modele atmospherique et le 
@@ -110,8 +111,5 @@
 !   qsurf        air moisture at surface
 !
-    INCLUDE "dimpft.h"
-
-
-  
+
 !
 ! Parametres d'entree
Index: LMDZ6/trunk/libf/phylmd/surf_land_orchidee_noz0h_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/surf_land_orchidee_noz0h_mod.F90	(revision 5304)
+++ LMDZ6/trunk/libf/phylmd/surf_land_orchidee_noz0h_mod.F90	(revision 5305)
@@ -60,4 +60,5 @@
     USE yomcst_mod_h
     USE compbl_mod_h
+    USE dimpft_mod_h
 !    
 ! Cette routine sert d'interface entre le modele atmospherique et le 
@@ -113,5 +114,4 @@
 !   qsurf        air moisture at surface
 !
-    INCLUDE "dimpft.h"
 !
 ! Parametres d'entree
Index: LMDZ6/trunk/libf/phylmdiso/cv3_routines.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/cv3_routines.F90	(revision 5304)
+++ LMDZ6/trunk/libf/phylmdiso/cv3_routines.F90	(revision 5305)
@@ -3599,11 +3599,9 @@
 #endif
 #endif
-USE cv3param_mod_h
-    USE cvthermo_mod_h
+  USE cv3param_mod_h
+  USE cvthermo_mod_h
   USE cvflag_mod_h
+  USE nuage_params_mod_h
   IMPLICIT NONE
-
-
-  include "nuage.h"
 
 !inputs:
Index: LMDZ6/trunk/libf/phylmdiso/dimpft.h
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/dimpft.h	(revision 5304)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/dimpft.h
Index: LMDZ6/trunk/libf/phylmdiso/dimpft_mod_h.f90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/dimpft_mod_h.f90	(revision 5305)
+++ LMDZ6/trunk/libf/phylmdiso/dimpft_mod_h.f90	(revision 5305)
@@ -0,0 +1,1 @@
+link ../phylmd/dimpft_mod_h.f90
Index: LMDZ6/trunk/libf/phylmdiso/nuage.h
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/nuage.h	(revision 5304)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/nuage.h
Index: LMDZ6/trunk/libf/phylmdiso/nuage_mod_h.f90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/nuage_mod_h.f90	(revision 5305)
+++ LMDZ6/trunk/libf/phylmdiso/nuage_mod_h.f90	(revision 5305)
@@ -0,0 +1,1 @@
+link ../phylmd/nuage_mod_h.f90
Index: LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90	(revision 5304)
+++ LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90	(revision 5305)
@@ -436,4 +436,6 @@
     USE calcul_divers_mod_h, ONLY: calcul_divers
     USE compbl_mod_h
+    USE nuage_params_mod_h
+    USE dimpft_mod_h, ONLY: nvm_lmdz
     IMPLICIT NONE
     !>======================================================================
@@ -488,5 +490,4 @@
 
     include "regdim.h"
-    include "dimpft.h"
     !======================================================================
     LOGICAL, SAVE :: ok_volcan ! pour activer les diagnostics volcaniques
@@ -1283,8 +1284,5 @@
 
     include "FCTTRE.h"
-    !IM 100106 BEG : pouvoir sortir les ctes de la physique
-    include "nuage.h"
-    !IM 100106 END : pouvoir sortir les ctes de la physique
-    !
+
     ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
     ! Declarations pour Simulateur COSP