Index: /LMDZ6/trunk/libf/obsolete/raddim.160.98.h
===================================================================
--- /LMDZ6/trunk/libf/obsolete/raddim.160.98.h	(revision 5314)
+++ /LMDZ6/trunk/libf/obsolete/raddim.160.98.h	(revision 5314)
@@ -0,0 +1,5 @@
+!
+! $Header$
+!
+      INTEGER kdlon, kflev
+      PARAMETER (kdlon=78,kflev=klev) ! 78*199
Index: /LMDZ6/trunk/libf/obsolete/raddim.192.143.h
===================================================================
--- /LMDZ6/trunk/libf/obsolete/raddim.192.143.h	(revision 5314)
+++ /LMDZ6/trunk/libf/obsolete/raddim.192.143.h	(revision 5314)
@@ -0,0 +1,5 @@
+!
+! $Header$
+!
+       INTEGER kdlon, kflev
+      PARAMETER (kdlon=10,kflev=klev)
Index: /LMDZ6/trunk/libf/obsolete/raddim.32.24.h
===================================================================
--- /LMDZ6/trunk/libf/obsolete/raddim.32.24.h	(revision 5314)
+++ /LMDZ6/trunk/libf/obsolete/raddim.32.24.h	(revision 5314)
@@ -0,0 +1,5 @@
+!
+! $Header$
+!
+      INTEGER kdlon, kflev
+      PARAMETER (kdlon=klon,kflev=klev)
Index: /LMDZ6/trunk/libf/obsolete/raddim.48.32.h
===================================================================
--- /LMDZ6/trunk/libf/obsolete/raddim.48.32.h	(revision 5314)
+++ /LMDZ6/trunk/libf/obsolete/raddim.48.32.h	(revision 5314)
@@ -0,0 +1,5 @@
+!
+! $Header$
+!
+      INTEGER kdlon, kflev
+      PARAMETER (kdlon=149,kflev=klev)
Index: /LMDZ6/trunk/libf/obsolete/raddim.72.46.h
===================================================================
--- /LMDZ6/trunk/libf/obsolete/raddim.72.46.h	(revision 5314)
+++ /LMDZ6/trunk/libf/obsolete/raddim.72.46.h	(revision 5314)
@@ -0,0 +1,5 @@
+!
+! $Header$
+!
+      INTEGER kdlon, kflev
+      PARAMETER (kdlon=1621,kflev=klev)
Index: /LMDZ6/trunk/libf/obsolete/raddim.96.72.h
===================================================================
--- /LMDZ6/trunk/libf/obsolete/raddim.96.72.h	(revision 5314)
+++ /LMDZ6/trunk/libf/obsolete/raddim.96.72.h	(revision 5314)
@@ -0,0 +1,5 @@
+!
+! $Header$
+!
+      INTEGER kdlon, kflev
+      PARAMETER (kdlon=487,kflev=klev)
Index: /LMDZ6/trunk/libf/obsolete/raddim.defaut.h
===================================================================
--- /LMDZ6/trunk/libf/obsolete/raddim.defaut.h	(revision 5314)
+++ /LMDZ6/trunk/libf/obsolete/raddim.defaut.h	(revision 5314)
@@ -0,0 +1,5 @@
+!
+! $Header$
+!
+      INTEGER kdlon, kflev
+      PARAMETER (kdlon=klon,kflev=klev)
Index: /LMDZ6/trunk/libf/obsolete/raddim.h
===================================================================
--- /LMDZ6/trunk/libf/obsolete/raddim.h	(revision 5314)
+++ /LMDZ6/trunk/libf/obsolete/raddim.h	(revision 5314)
@@ -0,0 +1,5 @@
+!
+! $Header$
+!
+      INTEGER kdlon, kflev
+      PARAMETER (kdlon=149,kflev=klev)
Index: /LMDZ6/trunk/libf/phylmd/physiq_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/physiq_mod.F90	(revision 5313)
+++ /LMDZ6/trunk/libf/phylmd/physiq_mod.F90	(revision 5314)
@@ -365,4 +365,6 @@
        USE nuage_params_mod_h
        USE dimpft_mod_h, ONLY: nvm_lmdz
+       USE radepsi_mod_h
+       USE radopt_mod_h
     IMPLICIT NONE
     !>======================================================================
@@ -564,10 +566,5 @@
     !
     include "declare_STDlev.h"
-    !
-    !
-    include "radepsi.h"
-    include "radopt.h"
-    !
-    !
+
     INTEGER n
     !ym      INTEGER npoints
Index: DZ6/trunk/libf/phylmd/raddim.160.98.h
===================================================================
--- /LMDZ6/trunk/libf/phylmd/raddim.160.98.h	(revision 5313)
+++ 	(revision )
@@ -1,5 +1,0 @@
-!
-! $Header$
-!
-      INTEGER kdlon, kflev
-      PARAMETER (kdlon=78,kflev=klev) ! 78*199
Index: DZ6/trunk/libf/phylmd/raddim.192.143.h
===================================================================
--- /LMDZ6/trunk/libf/phylmd/raddim.192.143.h	(revision 5313)
+++ 	(revision )
@@ -1,5 +1,0 @@
-!
-! $Header$
-!
-       INTEGER kdlon, kflev
-      PARAMETER (kdlon=10,kflev=klev)
Index: DZ6/trunk/libf/phylmd/raddim.32.24.h
===================================================================
--- /LMDZ6/trunk/libf/phylmd/raddim.32.24.h	(revision 5313)
+++ 	(revision )
@@ -1,5 +1,0 @@
-!
-! $Header$
-!
-      INTEGER kdlon, kflev
-      PARAMETER (kdlon=klon,kflev=klev)
Index: DZ6/trunk/libf/phylmd/raddim.48.32.h
===================================================================
--- /LMDZ6/trunk/libf/phylmd/raddim.48.32.h	(revision 5313)
+++ 	(revision )
@@ -1,5 +1,0 @@
-!
-! $Header$
-!
-      INTEGER kdlon, kflev
-      PARAMETER (kdlon=149,kflev=klev)
Index: DZ6/trunk/libf/phylmd/raddim.72.46.h
===================================================================
--- /LMDZ6/trunk/libf/phylmd/raddim.72.46.h	(revision 5313)
+++ 	(revision )
@@ -1,5 +1,0 @@
-!
-! $Header$
-!
-      INTEGER kdlon, kflev
-      PARAMETER (kdlon=1621,kflev=klev)
Index: DZ6/trunk/libf/phylmd/raddim.96.72.h
===================================================================
--- /LMDZ6/trunk/libf/phylmd/raddim.96.72.h	(revision 5313)
+++ 	(revision )
@@ -1,5 +1,0 @@
-!
-! $Header$
-!
-      INTEGER kdlon, kflev
-      PARAMETER (kdlon=487,kflev=klev)
Index: DZ6/trunk/libf/phylmd/raddim.defaut.h
===================================================================
--- /LMDZ6/trunk/libf/phylmd/raddim.defaut.h	(revision 5313)
+++ 	(revision )
@@ -1,5 +1,0 @@
-!
-! $Header$
-!
-      INTEGER kdlon, kflev
-      PARAMETER (kdlon=klon,kflev=klev)
Index: DZ6/trunk/libf/phylmd/raddim.h
===================================================================
--- /LMDZ6/trunk/libf/phylmd/raddim.h	(revision 5313)
+++ 	(revision )
@@ -1,5 +1,0 @@
-!
-! $Header$
-!
-      INTEGER kdlon, kflev
-      PARAMETER (kdlon=149,kflev=klev)
Index: DZ6/trunk/libf/phylmd/raddimlw.h
===================================================================
--- /LMDZ6/trunk/libf/phylmd/raddimlw.h	(revision 5313)
+++ 	(revision )
@@ -1,11 +1,0 @@
-!
-! $Header$
-!
-      INTEGER NUA
-      PARAMETER (NUA=24)
-      INTEGER NTRA
-      PARAMETER (NTRA=15)
-      INTEGER Ninter
-      PARAMETER (Ninter=6)
-      INTEGER NG1, NG1P1
-      PARAMETER (NG1=2, NG1P1=NG1+1)
Index: /LMDZ6/trunk/libf/phylmd/raddimlw_mod_h.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/raddimlw_mod_h.f90	(revision 5314)
+++ /LMDZ6/trunk/libf/phylmd/raddimlw_mod_h.f90	(revision 5314)
@@ -0,0 +1,13 @@
+MODULE raddimlw_mod_h
+  IMPLICIT NONE; PRIVATE
+  PUBLIC nua, ntra, ninter, ng1, ng1p1
+
+  INTEGER NUA
+  PARAMETER (NUA = 24)
+  INTEGER NTRA
+  PARAMETER (NTRA = 15)
+  INTEGER Ninter
+  PARAMETER (Ninter = 6)
+  INTEGER NG1, NG1P1
+  PARAMETER (NG1 = 2, NG1P1 = NG1 + 1)
+END MODULE raddimlw_mod_h
Index: DZ6/trunk/libf/phylmd/radepsi.h
===================================================================
--- /LMDZ6/trunk/libf/phylmd/radepsi.h	(revision 5313)
+++ 	(revision )
@@ -1,16 +1,0 @@
-!
-! $Header$
-!
-      REAL(KIND=8) ZEELOG, ZEPSC, ZEPSCO, ZEPSCQ, ZEPSCT, ZEPSCW
-      REAL(KIND=8) ZEPSEC, ZEPSCR
-      PARAMETER (ZEELOG = 1.E-07) !1.e-10 (not good for 32-bit machines)
-      PARAMETER (ZEPSC  = 1.E-20)
-      PARAMETER (ZEPSCO = 1.E-10)
-      PARAMETER (ZEPSCQ = 1.E-10)
-      PARAMETER (ZEPSCT = 1.E-20)
-      PARAMETER (ZEPSCW = 1.E-20)
-      PARAMETER (ZEPSEC = 1.0E-12)
-      PARAMETER (ZEPSCR = 1.0E-10)
-!
-      REAL(KIND=8) REPSCT
-      PARAMETER (REPSCT=1.0E-10)
Index: /LMDZ6/trunk/libf/phylmd/radepsi_mod_h.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/radepsi_mod_h.f90	(revision 5314)
+++ /LMDZ6/trunk/libf/phylmd/radepsi_mod_h.f90	(revision 5314)
@@ -0,0 +1,18 @@
+MODULE radepsi_mod_h
+  IMPLICIT NONE; PRIVATE
+  PUBLIC zeelog, zepsc, zepsco, zepscq, zepsct, zepscw, zepsec, zepscr, repsct
+
+  REAL(KIND = 8) ZEELOG, ZEPSC, ZEPSCO, ZEPSCQ, ZEPSCT, ZEPSCW
+  REAL(KIND = 8) ZEPSEC, ZEPSCR
+  PARAMETER (ZEELOG = 1.E-07) !1.e-10 (not good for 32-bit machines)
+  PARAMETER (ZEPSC = 1.E-20)
+  PARAMETER (ZEPSCO = 1.E-10)
+  PARAMETER (ZEPSCQ = 1.E-10)
+  PARAMETER (ZEPSCT = 1.E-20)
+  PARAMETER (ZEPSCW = 1.E-20)
+  PARAMETER (ZEPSEC = 1.0E-12)
+  PARAMETER (ZEPSCR = 1.0E-10)
+
+  REAL(KIND = 8) REPSCT
+  PARAMETER (REPSCT = 1.0E-10)
+END MODULE radepsi_mod_h
Index: /LMDZ6/trunk/libf/phylmd/radiation_AR4.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/radiation_AR4.f90	(revision 5313)
+++ /LMDZ6/trunk/libf/phylmd/radiation_AR4.f90	(revision 5314)
@@ -310,5 +310,7 @@
 SUBROUTINE swu_lmdar4(psct, pcldsw, ppmb, ppsol, prmu0, pfrac, ptave, pwv, &
     paki, pcld, pclear, pdsig, pfact, prmu, psec, pud)
-  USE clesphys_mod_h
+USE radopt_mod_h
+  USE radepsi_mod_h
+    USE clesphys_mod_h
   USE dimphy
   USE radiation_ar4_param, ONLY: zpdh2o, zpdumg, zprh2o, zprumg, rtdh2o, &
@@ -316,6 +318,4 @@
   USE yomcst_mod_h
 IMPLICIT NONE
-  include "radepsi.h"
-  include "radopt.h"
 
 
@@ -699,5 +699,6 @@
     palbp, pcg, pcld, pclear, pcldsw, pdsig, pomega, poz, prmu, psec, ptau, &
     pud, pwv, pqs, pfdown, pfup)
-  USE dimphy
+USE radepsi_mod_h
+    USE dimphy
   USE radiation_ar4_param, ONLY: rsun, rray
   USE infotrac_phy, ONLY: type_trac
@@ -706,5 +707,4 @@
 
   IMPLICIT NONE
-  include "radepsi.h"
 
   ! ------------------------------------------------------------------
@@ -1195,9 +1195,9 @@
     pdsig, prayl, psec, pcgaz, ppizaz, pray1, pray2, prefz, prj, prk, prmu0, &
     ptauaz, ptra1, ptra2)
-  USE dimphy
+USE radopt_mod_h
+  USE radepsi_mod_h
+    USE dimphy
   USE radiation_ar4_param, ONLY: taua, rpiza, rcga
   IMPLICIT NONE
-  include "radepsi.h"
-  include "radopt.h"
 
   ! ------------------------------------------------------------------
@@ -1524,9 +1524,9 @@
     ptau, pcgaz, ppizaz, pray1, pray2, prefz, prj, prk, prmue, ptauaz, ptra1, &
     ptra2)
-  USE clesphys_mod_h
+USE radopt_mod_h
+  USE radepsi_mod_h
+    USE clesphys_mod_h
   USE dimphy
   IMPLICIT NONE
-  include "radepsi.h"
-  include "radopt.h"
 
   ! ------------------------------------------------------------------
@@ -2124,9 +2124,9 @@
   ! IM  .              ptoplwdown,ptoplwdownclr)
     plwup, plwdn, plwup0, plwdn0)
-  USE dimphy
+USE raddimlw_mod_h
+    USE dimphy
   USE print_control_mod, ONLY: lunout
   USE yomcst_mod_h
 IMPLICIT NONE
-  include "raddimlw.h"
 
 
@@ -2311,5 +2311,8 @@
 ! IM ctes ds clesphys.h   SUBROUTINE LWU(RCO2, RCH4, RN2O, RCFC11, RCFC12,
 SUBROUTINE lwu_lmdar4(paer, pdp, ppmb, ppsol, poz, ptave, pview, pwv, pabcu)
-  USE clesphys_mod_h
+USE radopt_mod_h
+  USE radepsi_mod_h
+  USE raddimlw_mod_h
+    USE clesphys_mod_h
   USE dimphy
   USE radiation_ar4_param, ONLY: tref, rt1, raer, at, bt, oct
@@ -2320,8 +2323,5 @@
   USE yomcst_mod_h
 IMPLICIT NONE
-  include "raddimlw.h"
-
-  include "radepsi.h"
-  include "radopt.h"
+
 
   ! PURPOSE.
@@ -2680,8 +2680,8 @@
 SUBROUTINE lwbv_lmdar4(klim, pdp, pdt0, pemis, ppmb, ptl, ptave, pabcu, &
     pfluc, pbint, pbsui, pcts, pcntrb)
-  USE dimphy
+USE raddimlw_mod_h
+    USE dimphy
   USE yomcst_mod_h
 IMPLICIT NONE
-  include "raddimlw.h"
 
 
@@ -2767,8 +2767,8 @@
 SUBROUTINE lwc_lmdar4(klim, pcldld, pcldlu, pemis, pfluc, pbint, pbsuin, &
     pcts, pcntrb, pflux)
-  USE dimphy
+USE radopt_mod_h
+  USE radepsi_mod_h
+    USE dimphy
   IMPLICIT NONE
-  include "radepsi.h"
-  include "radopt.h"
 
   ! PURPOSE.
@@ -3143,8 +3143,8 @@
 SUBROUTINE lwb_lmdar4(pdt0, ptave, ptl, pb, pbint, pbsuin, pbsur, pbtop, &
     pdbsl, pga, pgb, pgasur, pgbsur, pgatop, pgbtop)
-  USE dimphy
+USE raddimlw_mod_h
+    USE dimphy
   USE radiation_ar4_param, ONLY: tintp, xp, ga, gb
   IMPLICIT NONE
-  include "raddimlw.h"
 
   ! -----------------------------------------------------------------------
@@ -4543,8 +4543,8 @@
     pbtop, pdbsl, pemis, ppmb, ptave, pga, pgb, pgasur, pgbsur, pgatop, &
     pgbtop, pcntrb, pcts, pfluc)
-  USE dimphy
+USE raddimlw_mod_h
+    USE dimphy
   USE yomcst_mod_h
 IMPLICIT NONE
-  include "raddimlw.h"
 
 
@@ -4649,8 +4649,8 @@
     pbsui, pbsur, pbtop, pdisd, pdisu, pemis, ppmb, pga, pgb, pgasur, pgbsur, &
     pgatop, pgbtop, pcts, pfluc)
-  USE dimphy
+USE radopt_mod_h
+  USE raddimlw_mod_h
+    USE dimphy
   IMPLICIT NONE
-  include "raddimlw.h"
-  include "radopt.h"
 
   ! -----------------------------------------------------------------------
@@ -4948,7 +4948,7 @@
 SUBROUTINE lwvd_lmdar4(kuaer, ktraer, pabcu, pdbdt, pga, pgb, pcntrb, pdisd, &
     pdisu)
-  USE dimphy
+USE raddimlw_mod_h
+    USE dimphy
   IMPLICIT NONE
-  include "raddimlw.h"
 
   ! -----------------------------------------------------------------------
@@ -5180,8 +5180,8 @@
 SUBROUTINE lwvn_lmdar4(kuaer, ktraer, pabcu, pdbsl, pga, pgb, padjd, padju, &
     pcntrb, pdbdt)
-  USE dimphy
+USE raddimlw_mod_h
+    USE dimphy
   USE radiation_ar4_param, ONLY: wg1
   IMPLICIT NONE
-  include "raddimlw.h"
 
   ! -----------------------------------------------------------------------
@@ -5373,7 +5373,7 @@
 END SUBROUTINE lwvn_lmdar4
 SUBROUTINE lwtt_lmdar4(pga, pgb, puu, ptt)
-  USE dimphy
+USE raddimlw_mod_h
+    USE dimphy
   IMPLICIT NONE
-  include "raddimlw.h"
 
   ! -----------------------------------------------------------------------
@@ -5546,7 +5546,7 @@
 END SUBROUTINE lwtt_lmdar4
 SUBROUTINE lwttm_lmdar4(pga, pgb, puu1, puu2, ptt)
-  USE dimphy
+USE raddimlw_mod_h
+    USE dimphy
   IMPLICIT NONE
-  include "raddimlw.h"
 
   ! ------------------------------------------------------------------
Index: DZ6/trunk/libf/phylmd/radopt.h
===================================================================
--- /LMDZ6/trunk/libf/phylmd/radopt.h	(revision 5313)
+++ 	(revision )
@@ -1,9 +1,0 @@
-!
-! $Header$
-!
-      LOGICAL LEVOIGT
-      PARAMETER (LEVOIGT=.FALSE.)
-      INTEGER NOVLP
-      PARAMETER (NOVLP=1)
-      INTEGER KAER
-      PARAMETER (KAER=0)
Index: /LMDZ6/trunk/libf/phylmd/radopt_mod_h.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/radopt_mod_h.f90	(revision 5314)
+++ /LMDZ6/trunk/libf/phylmd/radopt_mod_h.f90	(revision 5314)
@@ -0,0 +1,11 @@
+MODULE radopt_mod_h
+  IMPLICIT NONE; PRIVATE
+  PUBLIC levoigt, novlp, kaer
+
+  LOGICAL LEVOIGT
+  PARAMETER (LEVOIGT = .FALSE.)
+  INTEGER NOVLP
+  PARAMETER (NOVLP = 1)
+  INTEGER KAER
+  PARAMETER (KAER = 0)
+END MODULE radopt_mod_h
Index: /LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90	(revision 5313)
+++ /LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90	(revision 5314)
@@ -438,4 +438,6 @@
     USE nuage_params_mod_h
     USE dimpft_mod_h, ONLY: nvm_lmdz
+    USE radepsi_mod_h
+    USE radopt_mod_h
     IMPLICIT NONE
     !>======================================================================
@@ -643,10 +645,5 @@
     !
     include "declare_STDlev.h"
-    !
-    !
-    include "radepsi.h"
-    include "radopt.h"
-    !
-    !
+
     INTEGER n
     !ym      INTEGER npoints
Index: DZ6/trunk/libf/phylmdiso/raddim.160.98.h
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/raddim.160.98.h	(revision 5313)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/raddim.160.98.h
Index: DZ6/trunk/libf/phylmdiso/raddim.192.143.h
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/raddim.192.143.h	(revision 5313)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/raddim.192.143.h
Index: DZ6/trunk/libf/phylmdiso/raddim.32.24.h
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/raddim.32.24.h	(revision 5313)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/raddim.32.24.h
Index: DZ6/trunk/libf/phylmdiso/raddim.48.32.h
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/raddim.48.32.h	(revision 5313)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/raddim.48.32.h
Index: DZ6/trunk/libf/phylmdiso/raddim.72.46.h
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/raddim.72.46.h	(revision 5313)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/raddim.72.46.h
Index: DZ6/trunk/libf/phylmdiso/raddim.96.72.h
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/raddim.96.72.h	(revision 5313)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/raddim.96.72.h
Index: DZ6/trunk/libf/phylmdiso/raddim.defaut.h
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/raddim.defaut.h	(revision 5313)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/raddim.defaut.h
Index: DZ6/trunk/libf/phylmdiso/raddim.h
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/raddim.h	(revision 5313)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/raddim.h
Index: DZ6/trunk/libf/phylmdiso/raddimlw.h
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/raddimlw.h	(revision 5313)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/raddimlw.h
Index: /LMDZ6/trunk/libf/phylmdiso/raddimlw_mod_h.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/raddimlw_mod_h.f90	(revision 5314)
+++ /LMDZ6/trunk/libf/phylmdiso/raddimlw_mod_h.f90	(revision 5314)
@@ -0,0 +1,1 @@
+link ../phylmd/raddimlw_mod_h.f90
Index: DZ6/trunk/libf/phylmdiso/radepsi.h
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/radepsi.h	(revision 5313)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/radepsi.h
Index: /LMDZ6/trunk/libf/phylmdiso/radepsi_mod_h.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/radepsi_mod_h.f90	(revision 5314)
+++ /LMDZ6/trunk/libf/phylmdiso/radepsi_mod_h.f90	(revision 5314)
@@ -0,0 +1,1 @@
+link ../phylmd/radepsi_mod_h.f90
Index: DZ6/trunk/libf/phylmdiso/radopt.h
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/radopt.h	(revision 5313)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/radopt.h
Index: /LMDZ6/trunk/libf/phylmdiso/radopt_mod_h.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/radopt_mod_h.f90	(revision 5314)
+++ /LMDZ6/trunk/libf/phylmdiso/radopt_mod_h.f90	(revision 5314)
@@ -0,0 +1,1 @@
+link ../phylmd/radopt_mod_h.f90