Index: /LMDZ6/trunk/libf/dyn3d/advtrac.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d/advtrac.f90	(revision 5323)
+++ /LMDZ6/trunk/libf/dyn3d/advtrac.f90	(revision 5324)
@@ -15,5 +15,4 @@
    USE control_mod,  ONLY: iapp_tracvl, day_step
    USE comconst_mod, ONLY: dtvr
-   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
    USE strings_mod, ONLY: int2str
    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -200,17 +199,4 @@
    !---------------------------------------------------------------------------
    CALL massbar(massem,massebx,masseby)
-
-IF (CPPKEY_DEBUGIO) THEN
-   CALL WriteField_u('massem',massem)
-   CALL WriteField_u('wg',wg)
-   CALL WriteField_u('pbarug',pbarug)
-   CALL WriteField_v('pbarvg',pbarvg)
-   CALL WriteField_u('p_tmp',p)
-   CALL WriteField_u('pk_tmp',pk)
-   CALL WriteField_u('teta_tmp',teta)
-   DO iq=1,nqtot
-      CALL WriteField_u('q_adv'//trim(int2str(iq)),q(:,:,iq))
-   END DO
-END IF
 
    IF(isoCheck) WRITE(*,*) 'advtrac 227'
Index: /LMDZ6/trunk/libf/dyn3dmem/advect_new_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/advect_new_loc.f90	(revision 5323)
+++ /LMDZ6/trunk/libf/dyn3dmem/advect_new_loc.f90	(revision 5324)
@@ -10,5 +10,4 @@
   USE comconst_mod, ONLY: daysec
   USE logic_mod, ONLY: conser
-  USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
   USE paramet_mod_h
@@ -249,7 +248,4 @@
   if (pole_nord) ijb=ijb+iip1
   if (pole_sud)  ije=ije-iip1
-IF (CPPKEY_DEBUGIO) THEN
-   CALL WriteField_u('du_bis',du)
-END IF
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
   DO l=1,llm
@@ -263,9 +259,4 @@
   ENDDO
 !$OMP END DO NOWAIT
-IF (CPPKEY_DEBUGIO) THEN
-  CALL WriteField_u('du1',du1)
-  CALL WriteField_u('du2',du2)
-  CALL WriteField_u('du_bis',du)
-END IF
   ijb=ij_begin
   ije=ij_end
Index: /LMDZ6/trunk/libf/dyn3dmem/advtrac_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/advtrac_loc.f90	(revision 5323)
+++ /LMDZ6/trunk/libf/dyn3dmem/advtrac_loc.f90	(revision 5324)
@@ -21,5 +21,4 @@
    USE times
    USE advtrac_mod, ONLY: finmasse
-   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
    USE strings_mod, ONLY: int2str
    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -109,17 +108,4 @@
 !ym   ----> Reverifier lors de la parallelisation des autres schemas
 
-IF (CPPKEY_DEBUGIO) THEN
-   CALL WriteField_u('massem',massem)
-   CALL WriteField_u('wg',wg)
-   CALL WriteField_u('pbarug',pbarug)
-   CALL WriteField_v('pbarvg',pbarvg)
-   CALL WriteField_u('p_tmp',p)
-   CALL WriteField_u('pk_tmp',pk)
-   CALL WriteField_u('teta_tmp',teta)
-   DO iq=1,nqtot
-      CALL WriteField_u('q_adv'//trim(int2str(iq)),q(:,:,iq))
-   END DO
-END IF
-
 !          
 !  CALL Register_Hallo_v(pbarvg,llm,1,1,1,1,TestRequest)
@@ -131,10 +117,4 @@
 !  WRITE(*,*) 'advtrac 157: appel de vlspltgen_loc'
    CALL vlspltgen_loc(q, 2., massem, wg, pbarug, pbarvg, dtvr, p, pk, teta )
-
-IF (CPPKEY_DEBUGIO) THEN
-   DO iq = 1, nqtot
-      CALL WriteField_u('q_adv'//trim(int2str(iq)),q(:,:,iq))
-   END DO
-END IF
          
    GOTO 1234     
Index: /LMDZ6/trunk/libf/dyn3dmem/caladvtrac_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/caladvtrac_loc.f90	(revision 5323)
+++ /LMDZ6/trunk/libf/dyn3dmem/caladvtrac_loc.f90	(revision 5324)
@@ -16,5 +16,4 @@
   USE Vampir
   USE write_field_loc
-  USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h
@@ -133,10 +132,4 @@
 !$OMP ENDDO NOWAIT
 
-IF (CPPKEY_DEBUGIO) THEN
-     CALL WriteField_u('pbarug1',pbarug)
-     CALL WriteField_v('pbarvg1',pbarvg)
-     CALL WriteField_u('wg1',wg)
-END IF
-
 !$OMP BARRIER
 
@@ -179,10 +172,4 @@
    ! CALL WriteField_u('',)
 
-
-IF (CPPKEY_DEBUGIO) THEN
-     CALL WriteField_u('pbarug1',pbarug_adv)
-     CALL WriteField_v('pbarvg1',pbarvg_adv)
-     CALL WriteField_u('wg1',wg_adv)
-END IF
   ! !write(*,*) 'caladvtrac 185'
   CALL advtrac_loc( pbarug_adv,pbarvg_adv,wg_adv, &
Index: /LMDZ6/trunk/libf/dyn3dmem/caldyn_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/caldyn_loc.f90	(revision 5323)
+++ /LMDZ6/trunk/libf/dyn3dmem/caldyn_loc.f90	(revision 5324)
@@ -8,5 +8,4 @@
         vorpot, ecin, bern, massebxy, convm
   USE comvert_mod, ONLY: ap, bp
-  USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h
@@ -86,17 +85,4 @@
   CALL convmas2_loc  (   convm                      )
 !$OMP BARRIER
-IF (CPPKEY_DEBUGIO) THEN
-  call WriteField_u('ucont',ucont)
-  call WriteField_v('vcont',vcont)
-  call WriteField_u('p',p)
-  call WriteField_u('masse',masse)
-  call WriteField_u('massebx',massebx)
-  call WriteField_v('masseby',masseby)
-  call WriteField_v('massebxy',massebxy)
-  call WriteField_u('pbaru',pbaru)
-  call WriteField_v('pbarv',pbarv)
-  call WriteField_u('dteta',dteta)
-  call WriteField_u('convm',convm)
-END IF
 
 !$OMP BARRIER
@@ -118,11 +104,4 @@
   CALL dudv1_loc   ( vorpot , pbaru , pbarv     , du     , dv  )
 
-IF (CPPKEY_DEBUGIO) THEN
-  call WriteField_u('w',w)
-  call WriteField_v('vorpot',vorpot)
-  call WriteField_u('du',du)
-  call WriteField_v('dv',dv)
-END IF
-
   ! ! compute kinetic energy ecin()
   CALL enercin_loc ( vcov   , ucov  , vcont   , ucont  , ecin  )
@@ -131,12 +110,4 @@
   ! ! compute and add du() and dv() contributions from Bernouilli and pressure
   CALL dudv2_loc   ( teta   , pkf   , bern      , du     , dv  )
-
-IF (CPPKEY_DEBUGIO) THEN
-  call WriteField_u('ecin',ecin)
-  call WriteField_u('bern',bern)
-  call WriteField_u('du',du)
-  call WriteField_v('dv',dv)
-  call WriteField_u('pkf',pkf)
-END IF
 
   ijb=ij_begin-iip1
Index: /LMDZ6/trunk/libf/dyn3dmem/call_calfis_mod.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/call_calfis_mod.f90	(revision 5323)
+++ /LMDZ6/trunk/libf/dyn3dmem/call_calfis_mod.f90	(revision 5324)
@@ -90,5 +90,5 @@
   USE comvert_mod, ONLY: ap, bp, pressure_exner
   USE temps_mod, ONLY: day_ini, day_ref, jd_ref, jh_ref, start_time
-  USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_PHYS, CPPKEY_DEBUGIO
+  USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_PHYS
   USE strings_mod, ONLY: int2str
   USE iniprint_mod_h
@@ -117,16 +117,4 @@
 !$OMP THREADPRIVATE(Request_physic )
     INTEGER :: ijb,ije,l,iq
-    
-    
-IF (CPPKEY_DEBUGIO) THEN
-    CALL WriteField_u('ucovfi',ucov)
-    CALL WriteField_v('vcovfi',vcov)
-    CALL WriteField_u('tetafi',teta)
-    CALL WriteField_u('pfi',p)
-    CALL WriteField_u('pkfi',pk)
-    DO iq=1,nqtot
-      CALL WriteField_u('qfi'//trim(int2str(iq)),q(:,:,iq))
-    ENDDO
-END IF
 
 !
@@ -169,12 +157,4 @@
     CALL VTb(VThallo)
   !$OMP END MASTER
-
-IF (CPPKEY_DEBUGIO) THEN
-    CALL WriteField_u('ucovfi',ucov)
-    CALL WriteField_v('vcovfi',vcov)
-    CALL WriteField_u('tetafi',teta)
-    CALL WriteField_u('pfi',p)
-    CALL WriteField_u('pkfi',pk)
-END IF
     
     CALL SetTag(Request_physic,800)
@@ -216,18 +196,4 @@
   !$OMP BARRIER
     CALL WaitRequest(Request_Physic)
-             
-  !$OMP BARRIER
-  
-  
-IF (CPPKEY_DEBUGIO) THEN
-    CALL WriteField_u('ucovfi',ucov)
-    CALL WriteField_v('vcovfi',vcov)
-    CALL WriteField_u('tetafi',teta)
-    CALL WriteField_u('pfi',p)
-    CALL WriteField_u('pkfi',pk)
-    DO iq=1,nqtot
-      CALL WriteField_u('qfi'//trim(int2str(iq)),q(:,:,iq))
-    ENDDO
-END IF
 
   !$OMP BARRIER
@@ -301,15 +267,5 @@
           
     endif ! of if (.not. pole_nord)
-        
-        
-IF (CPPKEY_DEBUGIO) THEN
-    CALL WriteField_u('dufi',dufi)
-    CALL WriteField_v('dvfi',dvfi)
-    CALL WriteField_u('dtetafi',dtetafi)
-    CALL WriteField_u('dpfi',dpfi)
-    DO iq=1,nqtot
-      CALL WriteField_u('dqfi'//trim(int2str(iq)),dqfi(:,:,iq))
-    ENDDO
-END IF
+
 
   !$OMP BARRIER
@@ -317,23 +273,4 @@
 !      ajout des tendances physiques:
 !      ------------------------------
-IF (CPPKEY_DEBUGIO) THEN
-    CALL WriteField_u('ucovfi',ucov)
-    CALL WriteField_v('vcovfi',vcov)
-    CALL WriteField_u('tetafi',teta)
-    CALL WriteField_u('psfi',ps)
-    DO iq=1,nqtot
-      CALL WriteField_u('qfi'//trim(int2str(iq)),q(:,:,iq))
-    ENDDO
-END IF
-
-IF (CPPKEY_DEBUGIO) THEN
-    CALL WriteField_u('ucovfi',ucov)
-    CALL WriteField_v('vcovfi',vcov)
-    CALL WriteField_u('tetafi',teta)
-    CALL WriteField_u('psfi',ps)
-    DO iq=1,nqtot
-      CALL WriteField_u('qfi'//trim(int2str(iq)),q(:,:,iq))
-    ENDDO
-END IF
 
     CALL addfi_loc( dtphys, leapf, forward   ,              &
@@ -352,14 +289,4 @@
 !$OMP BARRIER
 
-IF (CPPKEY_DEBUGIO) THEN
-    CALL WriteField_u('ucovfi',ucov)
-    CALL WriteField_v('vcovfi',vcov)
-    CALL WriteField_u('tetafi',teta)
-    CALL WriteField_u('psfi',ps)
-    DO iq=1,nqtot
-      CALL WriteField_u('qfi'//trim(int2str(iq)),q(:,:,iq))
-    ENDDO
-END IF
-
     IF (ok_strato) THEN
 !      CALL top_bound_loc( vcov,ucov,teta,masse,dufi,dvfi,dtetafi)
@@ -397,16 +324,5 @@
 !      CALL diagedyn(ztit,2,1,1,dtphys,ucov, vcov , ps, p ,pk , teta , q(:,:,1), q(:,:,2))
       write(lunout,*)"call_calfis: diagedyn disabled in dyn3dmem !!"
-    ENDIF 
-
-IF (CPPKEY_DEBUGIO) THEN
-    CALL WriteField_u('ucovfi',ucov_dyn)
-    CALL WriteField_v('vcovfi',vcov_dyn)
-    CALL WriteField_u('tetafi',teta_dyn)
-    CALL WriteField_u('psfi',ps_dyn)
-    DO iq=1,nqtot
-      CALL WriteField_u('qfi'//trim(int2str(iq)),q_dyn(:,:,iq))
-    ENDDO
-END IF
-
+    ENDIF
 
 !-jld
Index: /LMDZ6/trunk/libf/dyn3dmem/call_dissip_mod.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/call_dissip_mod.f90	(revision 5323)
+++ /LMDZ6/trunk/libf/dyn3dmem/call_dissip_mod.f90	(revision 5324)
@@ -89,5 +89,4 @@
   USE vampir
   USE write_field_loc
-  USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
   USE comgeom_mod_h
   IMPLICIT NONE
@@ -146,10 +145,4 @@
 !        CALL FTRACE_REGION_BEGIN("dissip")
     CALL dissip_loc(vcov,ucov,teta,p,dvdis,dudis,dtetadis)
-
-IF (CPPKEY_DEBUGIO) THEN
-    CALL WriteField_u('dudis',dudis)
-    CALL WriteField_v('dvdis',dvdis)
-    CALL WriteField_u('dtetadis',dtetadis)
-END IF
  
 !      CALL FTRACE_REGION_END("dissip")
Index: /LMDZ6/trunk/libf/dyn3dmem/dissip_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/dissip_loc.f90	(revision 5323)
+++ /LMDZ6/trunk/libf/dyn3dmem/dissip_loc.f90	(revision 5324)
@@ -11,5 +11,4 @@
   USE dissip_mod, ONLY: dissip_allocate
   USE comconst_mod, ONLY: dtdiss
-  USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h
@@ -119,9 +118,4 @@
   ENDIF
 
-IF (CPPKEY_DEBUGIO) THEN
-  call WriteField_u('gdx',gdx)
-  call WriteField_v('gdy',gdy)
-END IF
-
   ijb=ij_begin
   ije=ij_end
@@ -164,10 +158,4 @@
   ENDIF
 
-IF (CPPKEY_DEBUGIO) THEN
-  call WriteField_u('grx',grx)
-  call WriteField_v('gry',gry)
-END IF
-
-
   ijb=ij_begin
   ije=ij_end
@@ -218,9 +206,4 @@
   ENDIF
 
-IF (CPPKEY_DEBUGIO) THEN
-  call WriteField_u('gdx',gdx)
-END IF
-
-
   ijb=ij_begin
   ije=ij_end
Index: /LMDZ6/trunk/libf/dyn3dmem/exner_hyb_loc_m.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/exner_hyb_loc_m.f90	(revision 5323)
+++ /LMDZ6/trunk/libf/dyn3dmem/exner_hyb_loc_m.f90	(revision 5324)
@@ -38,5 +38,4 @@
     USE comconst_mod, ONLY: cpp, kappa, r, jmp1
     USE comvert_mod, ONLY: preff
-    USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h
@@ -187,12 +186,6 @@
        jjb=jj_begin
        jje=jj_end
-IF (CPPKEY_DEBUGIO) THEN
-       call WriteField_u('pkf',pkf)
-END IF
        CALL filtreg_p ( pkf,jjb_u,jje_u,jjb,jje, jmp1, llm, &
             2, 1, .TRUE., 1 )
-IF (CPPKEY_DEBUGIO) THEN
-       call WriteField_u('pkf',pkf)
-END IF
     end if
 
Index: /LMDZ6/trunk/libf/dyn3dmem/groupe_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/groupe_loc.f90	(revision 5323)
+++ /LMDZ6/trunk/libf/dyn3dmem/groupe_loc.f90	(revision 5324)
@@ -5,5 +5,4 @@
   USE groupe_mod
   USE comconst_mod, ONLY: ngroup
-  USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h
@@ -74,11 +73,5 @@
 !$OMP END DO NOWAIT
 
-IF (CPPKEY_DEBUGIO) THEN
-  CALL WriteField_v('pbarvm',reshape(pbarvm,(/ip1jm,llm/)))
-END IF
   call groupeun_loc(jjm,llm,jjb_v,jje_v,jjb,jje,pbarvm)
-IF (CPPKEY_DEBUGIO) THEN
-  CALL WriteField_v('pbarvm',reshape(pbarvm,(/ip1jm,llm/)))
-END IF
   !   Champs 3D
 
Index: /LMDZ6/trunk/libf/dyn3dmem/leapfrog_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/leapfrog_loc.f90	(revision 5323)
+++ /LMDZ6/trunk/libf/dyn3dmem/leapfrog_loc.f90	(revision 5324)
@@ -40,5 +40,5 @@
          xios_set_current_context, &
          using_xios
-   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_INCA, CPPKEY_REPROBUS, CPPKEY_DEBUGIO
+   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_INCA, CPPKEY_REPROBUS
    USE lmdz_reprobus_wrappers, ONLY: finalize_reprobus
    USE strings_mod, ONLY: int2str
@@ -685,16 +685,4 @@
 !$OMP END MASTER
 
-IF (CPPKEY_DEBUGIO) THEN
-  call WriteField_u('du',du)
-  call WriteField_v('dv',dv)
-  call WriteField_u('dteta',dteta)
-  call WriteField_u('dp',dp)
-  call WriteField_u('w',w)
-  call WriteField_u('pbaru',pbaru)
-  call WriteField_v('pbarv',pbarv)
-  call WriteField_u('p',p)
-  call WriteField_u('masse',masse)
-  call WriteField_u('pk',pk)
-END IF
   !-----------------------------------------------------------------------
   !   calcul des tendances advection des traceurs (dont l'humidite)
@@ -736,16 +724,4 @@
    call VTb(VTintegre)
 !$OMP END MASTER
-IF (CPPKEY_DEBUGIO) THEN
-  if (true_itau>20) then
-  call WriteField_u('ucovm1',ucovm1)
-  call WriteField_v('vcovm1',vcovm1)
-  call WriteField_u('tetam1',tetam1)
-  call WriteField_u('psm1',psm1)
-  call WriteField_u('ucov_int',ucov)
-  call WriteField_v('vcov_int',vcov)
-  call WriteField_u('teta_int',teta)
-  call WriteField_u('ps_int',ps)
-  endif
-END IF
 !$OMP BARRIER
     ! CALL FTRACE_REGION_BEGIN("integrd")
@@ -764,14 +740,4 @@
     ! CALL FTRACE_REGION_END("integrd")
 !$OMP BARRIER
-IF (CPPKEY_DEBUGIO) THEN
-  call WriteField_u('ucovm1',ucovm1)
-  call WriteField_v('vcovm1',vcovm1)
-  call WriteField_u('tetam1',tetam1)
-  call WriteField_u('psm1',psm1)
-  call WriteField_u('ucov_int',ucov)
-  call WriteField_v('vcov_int',vcov)
-  call WriteField_u('teta_int',teta)
-  call WriteField_u('ps_int',ps)
-END IF
 
   call check_isotopes(q,ijb_u,ije_u,'leapfrog 775')
Index: /LMDZ6/trunk/libf/dyn3dmem/vlspltgen_loc.F90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/vlspltgen_loc.F90	(revision 5323)
+++ /LMDZ6/trunk/libf/dyn3dmem/vlspltgen_loc.F90	(revision 5324)
@@ -33,5 +33,4 @@
   USE comconst_mod, ONLY: cpp
   USE logic_mod, ONLY: adv_qsat_liq
-  USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h
Index: /LMDZ6/trunk/libf/misc/lmdz_cppkeys_wrapper.F90
===================================================================
--- /LMDZ6/trunk/libf/misc/lmdz_cppkeys_wrapper.F90	(revision 5323)
+++ /LMDZ6/trunk/libf/misc/lmdz_cppkeys_wrapper.F90	(revision 5324)
@@ -25,77 +25,71 @@
   IMPLICIT NONE; PRIVATE
   PUBLIC nf90_format, CPPKEY_PHYS, CPPKEY_INCA, CPPKEY_STRATAER, CPPKEY_DUST, &
-          CPPKEY_DEBUGIO, CPPKEY_INLANDSIS, CPPKEY_OUTPUTPHYSSCM, CPPKEY_COSP, CPPKEY_COSP2, &
+          CPPKEY_INLANDSIS, CPPKEY_OUTPUTPHYSSCM, CPPKEY_COSP, CPPKEY_COSP2, &
           CPPKEY_COSPV2, CPPKEY_REPROBUS
 
 #ifdef NC_DOUBLE
-  INTEGER, PARAMETER :: nf90_format = nf90_double
+  INTEGER :: nf90_format = nf90_double
 #else
-  INTEGER, PARAMETER :: nf90_format = nf90_float
+  INTEGER :: nf90_format = nf90_float
 #endif
 
 #ifdef CPP_PHYS
-  LOGICAL, PARAMETER :: CPPKEY_PHYS = .TRUE.
+  LOGICAL :: CPPKEY_PHYS = .TRUE.
 #else
-  LOGICAL, PARAMETER :: CPPKEY_PHYS = .FALSE.
+  LOGICAL :: CPPKEY_PHYS = .FALSE.
 #endif
 
 #ifdef INCA
-  LOGICAL, PARAMETER :: CPPKEY_INCA = .TRUE.
+  LOGICAL :: CPPKEY_INCA = .TRUE.
 #else
-  LOGICAL, PARAMETER :: CPPKEY_INCA = .FALSE.
+  LOGICAL :: CPPKEY_INCA = .FALSE.
 #endif
 
 #ifdef REPROBUS
-  LOGICAL, PARAMETER :: CPPKEY_REPROBUS = .TRUE.
+  LOGICAL :: CPPKEY_REPROBUS = .TRUE.
 #else
-  LOGICAL, PARAMETER :: CPPKEY_REPROBUS = .FALSE.
+  LOGICAL :: CPPKEY_REPROBUS = .FALSE.
 #endif
 
 #ifdef CPP_StratAer
-  LOGICAL, PARAMETER :: CPPKEY_STRATAER = .TRUE.
+  LOGICAL :: CPPKEY_STRATAER = .TRUE.
 #else
-  LOGICAL, PARAMETER :: CPPKEY_STRATAER = .FALSE.
+  LOGICAL :: CPPKEY_STRATAER = .FALSE.
 #endif
 
 #ifdef CPP_DUST
-  LOGICAL, PARAMETER :: CPPKEY_DUST = .TRUE.
+  LOGICAL :: CPPKEY_DUST = .TRUE.
 #else
-  LOGICAL, PARAMETER :: CPPKEY_DUST = .FALSE.
-#endif
-
-#ifdef DEBUG_IO
-  LOGICAL, PARAMETER :: CPPKEY_DEBUGIO = .TRUE.
-#else
-  LOGICAL, PARAMETER :: CPPKEY_DEBUGIO = .FALSE.
+  LOGICAL :: CPPKEY_DUST = .FALSE.
 #endif
 
 #ifdef CPP_INLANDSIS
-  LOGICAL, PARAMETER :: CPPKEY_INLANDSIS = .TRUE.
+  LOGICAL :: CPPKEY_INLANDSIS = .TRUE.
 #else
-  LOGICAL, PARAMETER :: CPPKEY_INLANDSIS = .FALSE.
+  LOGICAL :: CPPKEY_INLANDSIS = .FALSE.
 #endif
 
 #ifdef OUTPUT_PHYS_SCM
-  LOGICAL, PARAMETER :: CPPKEY_OUTPUTPHYSSCM = .TRUE.
+  LOGICAL :: CPPKEY_OUTPUTPHYSSCM = .TRUE.
 #else
-  LOGICAL, PARAMETER :: CPPKEY_OUTPUTPHYSSCM = .FALSE.
+  LOGICAL :: CPPKEY_OUTPUTPHYSSCM = .FALSE.
 #endif
 
 #ifdef CPP_COSP
-  LOGICAL, PARAMETER :: CPPKEY_COSP = .TRUE.
+  LOGICAL :: CPPKEY_COSP = .TRUE.
 #else
-  LOGICAL, PARAMETER :: CPPKEY_COSP = .FALSE.
+  LOGICAL :: CPPKEY_COSP = .FALSE.
 #endif
 
 #ifdef CPP_COSP2
-  LOGICAL, PARAMETER :: CPPKEY_COSP2 = .TRUE.
+  LOGICAL :: CPPKEY_COSP2 = .TRUE.
 #else
-  LOGICAL, PARAMETER :: CPPKEY_COSP2 = .FALSE.
+  LOGICAL :: CPPKEY_COSP2 = .FALSE.
 #endif
 
 #ifdef CPP_COSPV2
-  LOGICAL, PARAMETER :: CPPKEY_COSPV2 = .TRUE.
+  LOGICAL :: CPPKEY_COSPV2 = .TRUE.
 #else
-  LOGICAL, PARAMETER :: CPPKEY_COSPV2 = .FALSE.
+  LOGICAL :: CPPKEY_COSPV2 = .FALSE.
 #endif
 